(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    138840,       3359]
NotebookOptionsPosition[    135064,       3239]
NotebookOutlinePosition[    135651,       3261]
CellTagsIndexPosition[    135608,       3258]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "This", " ", "is", " ", "an", " ", "example", " ", "on", " ", "using", " ", 
   "the", " ", "GR", " ", 
   RowBox[{"package", ":", " ", 
    RowBox[{
     RowBox[{
     "the", " ", "calculation", " ", "of", " ", "the", " ", "Schwarzschild", 
      " ", "space"}], "-", 
     RowBox[{
     "time", " ", "with", " ", "a", " ", "perfect", " ", "fluid", " ", 
      "stress"}], "-", 
     RowBox[{"energy", " ", "tensor"}]}]}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.6397603058287663`*^9, 3.6397603971099873`*^9}, {
  3.6397604639161663`*^9, 3.6397604899970155`*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Author", ":", " ", 
   RowBox[{
    RowBox[{"Giovanni", " ", "Formighieri", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"giovform", "@", "gmail"}], ".", "com"}], ")"}], ".", " ", 
      "Please"}], " ", "report", " ", "any", " ", "bugs", " ", "to", " ", 
     "this", " ", "e"}], "-", 
    RowBox[{"mail", "."}]}]}], "*)"}]], "Input"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Header", " ", 
     RowBox[{"package", ":", " ", 
      RowBox[{"removes", " ", "all", " ", "global", " ", "symbols"}]}]}], ",",
     " ", 
    RowBox[{"resets", " ", "assumptions", " ", 
     RowBox[{"(", 
      RowBox[{
      "also", " ", "in", " ", "all", " ", "parallel", " ", "kernels"}], 
      ")"}]}], ",", " ", 
    RowBox[{
    "sets", " ", "the", " ", "working", " ", "directory", " ", "to", " ", 
     "this", " ", "notebook", " ", "directory", " ", "and", " ", "loads", " ",
      "the", " ", 
     RowBox[{"Utilities", ".", "wl"}], " ", "package"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Get", "[", 
    RowBox[{"FileNameJoin", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"NotebookDirectory", "[", "]"}], ",", "\"\<Header.wl\>\""}], 
      "}"}], "]"}], "]"}], ";"}]}]], "Input",
 CellChangeTimes->{{3.6256890719450397`*^9, 3.625689073045041*^9}, {
   3.6257626349159884`*^9, 3.625762635225989*^9}, {3.6257627253871193`*^9, 
   3.62576272561712*^9}, {3.6376652613204393`*^9, 3.6376652819748755`*^9}, {
   3.6376659829854126`*^9, 3.637666012025064*^9}, {3.6397583043525586`*^9, 
   3.6397585432126436`*^9}, {3.639758590968935*^9, 3.6397586141139793`*^9}, {
   3.6397586456898355`*^9, 3.639758645908236*^9}, 3.6397587344798117`*^9, {
   3.639759623347787*^9, 3.639759629948599*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Get", " ", "the", " ", 
    RowBox[{"GR", ".", "wl"}], " ", "package", " ", 
    RowBox[{"(", 
     RowBox[{
     "the", " ", "calculations", " ", "are", " ", "done", " ", "using", " ", 
      "parallel", " ", "kernels", " ", "if", " ", "available"}], ")"}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"GetNotebookOrPackage", "[", "\"\<GR.wl\>\"", "]"}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.6392408380762496`*^9, 3.63924084389506*^9}, {
  3.6397582184183874`*^9, 3.6397582231783953`*^9}, {3.639758643084631*^9, 
  3.6397586433342314`*^9}, {3.639759648321836*^9, 3.639759658482855*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Set", " ", "the", " ", "simplification", " ", "function", " ", "used", 
     " ", "in", " ", 
     RowBox[{"calculations", ":", " ", "Refine"}]}], ",", " ", "Simplify", 
    ",", " ", 
    RowBox[{"FullSimplify", " ", "or", " ", "SuperFullSimplify", " ", 
     RowBox[{"(", "slow", ")"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"SetSimplificationFunction", "[", "FullSimplify", "]"}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.627380013001796*^9, 3.6273800135477962`*^9}, {
   3.6352628363406076`*^9, 3.6352628370186467`*^9}, 3.6356890485947895`*^9, {
   3.6370625039949293`*^9, 3.637062504993331*^9}, {3.6370625469418044`*^9, 
   3.6370625484706073`*^9}, {3.6370635387471466`*^9, 
   3.6370635402603493`*^9}, {3.6370765965446825`*^9, 3.637076598619486*^9}, {
   3.6370766406789618`*^9, 3.6370766414589634`*^9}, {3.63843569042064*^9, 
   3.6384356909510407`*^9}, 3.639236263815036*^9, {3.6392419052821245`*^9, 
   3.6392419057813253`*^9}, 3.6392420197395253`*^9, {3.6392426962224703`*^9, 
   3.6392426967840714`*^9}, 3.6392449506990395`*^9, {3.639245229112728*^9, 
   3.639245229627529*^9}, 3.63930633305717*^9, {3.6397581432538385`*^9, 
   3.6397582115991755`*^9}, {3.639758730743405*^9, 3.639758732558008*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Defining", " ", "symbols", " ", "for", " ", "shorter", " ", "names", " ", 
    "and", " ", "including", " ", "dependencies", " ", "for", " ", "\[Rho]", 
    " ", "and", " ", "p", " ", "on", " ", "r", " ", 
    RowBox[{"(", 
     RowBox[{"this", " ", "is", " ", "essential"}], ")"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"speedOfLightInVacuum", "=", "c"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"gravitationalConstant", "=", "G"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"massEnergyDensity", "=", 
     RowBox[{"\[Rho]", "[", "r", "]"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"hydrostaticPressure", "=", 
     RowBox[{"p", "[", "r", "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.6392412424913597`*^9, 3.6392412603689914`*^9}, 
   3.639241292037047*^9, {3.6392421133708897`*^9, 3.639242122543706*^9}, 
   3.6395060581390977`*^9, {3.6397360173889093`*^9, 3.6397360187773123`*^9}, {
   3.639736050167369*^9, 3.6397360591745853`*^9}, {3.6397365379484367`*^9, 
   3.639736538042037*^9}, {3.6397380808709917`*^9, 3.6397380815885935`*^9}, {
   3.6397407895649652`*^9, 3.6397407909065676`*^9}, {3.639742065857338*^9, 
   3.6397420665713396`*^9}, {3.6397424726373243`*^9, 3.639742493573764*^9}, {
   3.639743567183146*^9, 3.6397435684311485`*^9}, {3.6397501474367867`*^9, 
   3.6397501486867886`*^9}, {3.6397552390078115`*^9, 
   3.6397552558850584`*^9}, {3.6397579594108515`*^9, 
   3.6397580026983323`*^9}, {3.639758701389744*^9, 3.63975871035616*^9}, {
   3.6397598228251905`*^9, 3.6397599151479673`*^9}, {3.6397599451824255`*^9, 
   3.639759975547282*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Hide", " ", "functions", " ", "arguments", " ", "for", " ", "less", " ", 
    "output", " ", "clutter", " ", "on", " ", "the", " ", "printing", " ", 
    "functions"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"AddHiddenArgsOutputFunction", "[", 
     RowBox[{"F", "[", "_", "]"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AddHiddenArgsOutputFunction", "[", 
     RowBox[{"H", "[", "_", "]"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AddHiddenArgsOutputFunction", "[", 
     RowBox[{"\[Rho]", "[", "_", "]"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AddHiddenArgsOutputFunction", "[", 
     RowBox[{"p", "[", "_", "]"}], "]"}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.639240452849171*^9, 3.63924045762278*^9}, {
  3.6392422830733624`*^9, 3.6392422931509805`*^9}, {3.6392424014377923`*^9, 
  3.6392424022801943`*^9}, {3.6397580465396166`*^9, 3.639758075117668*^9}, {
  3.6397600149591427`*^9, 3.6397600192223864`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Defining", " ", "some", " ", "assumptions", " ", "on", " ", "the", " ", 
    "symbols"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"AddAssumption", "[", 
     RowBox[{"t", "\[Element]", "Reals"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AddAssumption", "[", 
     RowBox[{"r", ">", "0"}], "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AddAssumption", "[", 
     RowBox[{"0", "<", "\[Theta]", "<", "Pi"}], "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"AddAssumption", "[", 
     RowBox[{"\[CurlyPhi]", "\[Element]", "Reals"}], "]"}], 
    ";"}]}]}]], "Input",
 CellChangeTimes->{{3.639240462458788*^9, 3.639240464673992*^9}, {
  3.6392404997428536`*^9, 3.639240602999435*^9}, {3.6392426400155716`*^9, 
  3.639242676301235*^9}, {3.6392450926592884`*^9, 3.6392452003306775`*^9}, {
  3.639420609565349*^9, 3.639420615613388*^9}, {3.6394761519595165`*^9, 
  3.639476207222418*^9}, {3.6394915422881985`*^9, 3.6394916062029114`*^9}, {
  3.6394926129756517`*^9, 3.6394926131784515`*^9}, {3.639492942145029*^9, 
  3.639492964129468*^9}, {3.639501503813241*^9, 3.6395015364272985`*^9}, {
  3.6395186310520473`*^9, 3.639518663692106*^9}, {3.6395594610038915`*^9, 
  3.639559464249897*^9}, {3.639559496303952*^9, 3.639559498907956*^9}, {
  3.639758023714173*^9, 3.639758028251582*^9}, {3.63975928595273*^9, 
  3.639759286171131*^9}, {3.63976002715884*^9, 3.639760035278305*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Defining", " ", "the", " ", "metric", " ", "signature"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"signature", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"-", "1"}], ",", "1", ",", "1", ",", "1"}], "}"}]}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.63975800636974*^9, 3.6397580130775537`*^9}, {
  3.6397600403025923`*^9, 3.6397600414376574`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Defining", " ", "coordinates", " ", 
    RowBox[{"(", 
     RowBox[{
     "notice", " ", "that", " ", "c", " ", "and", " ", "t", " ", "have", " ", 
      "a", " ", "space", " ", "between", " ", "them", " ", "because", " ", 
      "they", " ", "are", " ", "two", " ", "different", " ", "symbols"}], 
     ")"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"coordinates", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"c", " ", "t"}], ",", "r", ",", "\[Theta]", ",", 
      "\[CurlyPhi]"}], "}"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.573509246246081*^9, 3.5735092922877145`*^9}, {
   3.5735093265786753`*^9, 3.573509427416443*^9}, {3.5735095129333344`*^9, 
   3.573509529898305*^9}, {3.573509569407565*^9, 3.5735095887646723`*^9}, {
   3.5735096258047905`*^9, 3.5735096353533363`*^9}, {3.5735096845141487`*^9, 
   3.573509687926344*^9}, {3.5735099024286127`*^9, 3.5735099068208637`*^9}, {
   3.573510093632549*^9, 3.5735101771823273`*^9}, {3.5735102282332478`*^9, 
   3.57351027076768*^9}, 3.573510302419491*^9, {3.5735104098006325`*^9, 
   3.5735104122917747`*^9}, {3.573510471065137*^9, 3.5735104794866185`*^9}, {
   3.573510574029026*^9, 3.573510583121546*^9}, 3.573510968397582*^9, {
   3.573511576066339*^9, 3.573511577728434*^9}, {3.573511755092579*^9, 
   3.5735117622189865`*^9}, {3.573511894737566*^9, 3.5735118971367035`*^9}, {
   3.5735119317166815`*^9, 3.573511935617904*^9}, {3.573511978508357*^9, 
   3.573511997244429*^9}, 3.573512039444843*^9, {3.5735120830383363`*^9, 
   3.5735120871005683`*^9}, {3.5735121363013825`*^9, 3.5735121385125093`*^9}, 
   3.573513059412182*^9, 3.573513135484533*^9, {3.5735133212571583`*^9, 
   3.5735133467256145`*^9}, {3.573513377361367*^9, 3.5735133828206797`*^9}, 
   3.573513548029129*^9, {3.5735135924296684`*^9, 3.5735136133558655`*^9}, 
   3.5735140906771665`*^9, {3.5735143323729906`*^9, 3.5735143528691635`*^9}, 
   3.573516214879664*^9, 3.5735171274948626`*^9, 3.573517822300603*^9, 
   3.573518601240156*^9, 3.5735187084952908`*^9, 3.5735190980525723`*^9, 
   3.5735191702136993`*^9, 3.573519626485797*^9, 3.5735196618858213`*^9, 
   3.5735197346259823`*^9, 3.573520375910661*^9, 3.573520422030299*^9, 
   3.573520473309232*^9, 3.5735212850046587`*^9, 3.5735214868152013`*^9, 
   3.5735215425963917`*^9, {3.573521907428259*^9, 3.5735219077632785`*^9}, 
   3.5735223457153273`*^9, {3.573522568351062*^9, 3.573522582190853*^9}, {
   3.5735228300530305`*^9, 3.5735228533383617`*^9}, 3.5735229363581104`*^9, {
   3.5735233775503454`*^9, 3.573523394054289*^9}, {3.5735240977725396`*^9, 
   3.5735241193257723`*^9}, 3.573525077676587*^9, 3.5735258278814964`*^9, 
   3.573572816991063*^9, {3.573574203397361*^9, 3.573574299262844*^9}, {
   3.5735744046748734`*^9, 3.573574410074182*^9}, 3.573574446070241*^9, 
   3.5735744797631683`*^9, 3.573574902865368*^9, {3.5735749429806623`*^9, 
   3.5735750257103944`*^9}, {3.5735750683828354`*^9, 3.573575201669459*^9}, 
   3.5739178586062965`*^9, {3.5739178970963497`*^9, 3.5739178972463503`*^9}, {
   3.5739180756066*^9, 3.5739180916066227`*^9}, {3.573918196286769*^9, 
   3.573918200181774*^9}, {3.573922442981887*^9, 3.573922445881891*^9}, {
   3.573923447661295*^9, 3.573923447986295*^9}, {3.5739253610359774`*^9, 
   3.5739253862460127`*^9}, 3.5739255731812744`*^9, 3.5739256289163523`*^9, 
   3.5739256768514194`*^9, 3.5739257902915783`*^9, {3.5739265585106573`*^9, 
   3.57392657517068*^9}, 3.5739266931158457`*^9, 3.5739267317359*^9, 
   3.5739267725409565`*^9, {3.5739271657147894`*^9, 3.57392717586837*^9}, {
   3.573927207651188*^9, 3.5739272378659163`*^9}, {3.5739278877090855`*^9, 
   3.573927888992159*^9}, {3.574092564352298*^9, 3.5740925681625156`*^9}, {
   3.5740926258038125`*^9, 3.5740926268848743`*^9}, {3.574092713463826*^9, 
   3.574092934364461*^9}, {3.5740930963187246`*^9, 3.5740931222022047`*^9}, 
   3.5740931704739656`*^9, {3.5741021001997166`*^9, 3.5741022178874483`*^9}, {
   3.5741024635855017`*^9, 3.5741024911440773`*^9}, 3.5741827731939077`*^9, {
   3.5741828584067817`*^9, 3.574182865094164*^9}, 3.574186254142007*^9, 
   3.574186328807277*^9, {3.574186522787372*^9, 3.5741865403583775`*^9}, 
   3.5751218328250895`*^9, 3.57512482889587*^9, 3.5751248615767393`*^9, 
   3.575125276365464*^9, 3.5751253069412127`*^9, 3.575126168743505*^9, {
   3.5756425689795423`*^9, 3.575642572807761*^9}, {3.575642622313593*^9, 
   3.575642637589466*^9}, 3.575643846163593*^9, 3.5756438865159006`*^9, {
   3.5756443037197638`*^9, 3.5756443161634755`*^9}, {3.575644476855666*^9, 
   3.5756444911904864`*^9}, 3.575644579070513*^9, 3.5756446217269526`*^9, 
   3.575645873696561*^9, 3.57564651042698*^9, 3.5756469772026777`*^9, 
   3.5756470271105328`*^9, 3.5756470614464965`*^9, {3.5756471084771867`*^9, 
   3.57564712514614*^9}, 3.5756471760190496`*^9, 3.5756479924487467`*^9, 
   3.5762429587821765`*^9, 3.5762440763540983`*^9, 3.5762463730684624`*^9, 
   3.576246580869348*^9, 3.5762489955094576`*^9, 3.576249057150983*^9, {
   3.5762501162825623`*^9, 3.5762501289652877`*^9}, {3.5763300268811374`*^9, 
   3.576330038692813*^9}, 3.5763302245894456`*^9, {3.5763408289849825`*^9, 
   3.576340830031042*^9}, {3.5763412532472486`*^9, 3.5763412596596155`*^9}, {
   3.576341311327571*^9, 3.5763413195290403`*^9}, {3.5763413569851823`*^9, 
   3.5763414594280415`*^9}, {3.5763414908288374`*^9, 3.576341492375926*^9}, {
   3.57634157094042*^9, 3.576341572428505*^9}, {3.5763433510862384`*^9, 
   3.576343365291051*^9}, {3.576343435998095*^9, 3.5763434541911354`*^9}, {
   3.5763435463734083`*^9, 3.5763435541818547`*^9}, {3.5763435934561014`*^9, 
   3.5763436106260834`*^9}, {3.5763437394854536`*^9, 3.57634373977647*^9}, {
   3.5763571333237896`*^9, 3.5763572108172216`*^9}, 3.5763577526642137`*^9, 
   3.5765101566030626`*^9, {3.576510815055724*^9, 3.576510815593755*^9}, {
   3.5765108460494967`*^9, 3.5765108511277876`*^9}, {3.576511057502591*^9, 
   3.576511076267665*^9}, {3.576512104052451*^9, 3.5765121069176145`*^9}, 
   3.5765132494169617`*^9, 3.5765134727897377`*^9, {3.5765155296133814`*^9, 
   3.5765156047256775`*^9}, {3.5765159378727326`*^9, 3.5765159399218497`*^9}, 
   3.576515971672666*^9, 3.5765178976488256`*^9, 3.576517941002305*^9, {
   3.5765186244543962`*^9, 3.576518652951026*^9}, {3.5765188190905285`*^9, 
   3.5765188315672426`*^9}, 3.5765188741786795`*^9, 3.5765189354901867`*^9, 
   3.5765421758603425`*^9, 3.576542226193221*^9, {3.5765422650494432`*^9, 
   3.5765422771851377`*^9}, 3.576543246073555*^9, 3.576544279971691*^9, 
   3.5765444896196823`*^9, 3.5765448381686172`*^9, {3.5765449832119136`*^9, 
   3.5765450200610213`*^9}, 3.576545190097747*^9, {3.576545225259758*^9, 
   3.5765452353153334`*^9}, 3.576545277963773*^9, 3.576545350160902*^9, {
   3.5765453938594017`*^9, 3.576545422139019*^9}, 3.576547026942808*^9, 
   3.5765473775778637`*^9, 3.5770289951318736`*^9, 3.5771133407809224`*^9, {
   3.5771134030904865`*^9, 3.577113403203493*^9}, {3.5771135206312094`*^9, 
   3.5771135270675774`*^9}, 3.5771149291777735`*^9, {3.577115231315055*^9, 
   3.5771152436697617`*^9}, {3.577115338697197*^9, 3.5771153387962027`*^9}, {
   3.577115397368552*^9, 3.5771154204488726`*^9}, {3.577115535162434*^9, 
   3.577115535253439*^9}, 3.5771175733280106`*^9, 3.5771183641652436`*^9, 
   3.5771186532377777`*^9, 3.5771188950486083`*^9, {3.5771191544894476`*^9, 
   3.577119177035737*^9}, {3.5771193777382164`*^9, 3.5771193783512516`*^9}, 
   3.577119418685559*^9, 3.577119548052958*^9, {3.5771204471313825`*^9, 
   3.577120456751933*^9}, {3.577120494442088*^9, 3.577120503273594*^9}, {
   3.5771206693320913`*^9, 3.5771206702631445`*^9}, {3.5771210248734274`*^9, 
   3.5771210465946693`*^9}, {3.5771211080361843`*^9, 3.577121108455208*^9}, {
   3.5771211939961004`*^9, 3.57712119537918*^9}, {3.5771219415738597`*^9, 
   3.5771219442800145`*^9}, 3.57712203284908*^9, 3.5771222539137244`*^9, {
   3.5771223423627834`*^9, 3.577122411500738*^9}, {3.5771225050990915`*^9, 
   3.5771225051610947`*^9}, {3.577122535791847*^9, 3.5771225695087757`*^9}, 
   3.577122746664627*^9, 3.5771228540396156`*^9, {3.577122889217677*^9, 
   3.5771228925404835`*^9}, 3.577122940744568*^9, 3.5771230127002945`*^9, {
   3.577123191490001*^9, 3.577123210505028*^9}, {3.57712327656512*^9, 
   3.5771233297451944`*^9}, 3.577123364075243*^9, 3.5771236913657007`*^9, {
   3.577123849990923*^9, 3.5771238703709517`*^9}, 3.577123984921112*^9, 
   3.5771240276311717`*^9, {3.5771242475914793`*^9, 3.5771242697515106`*^9}, {
   3.5771243429566135`*^9, 3.577124386046674*^9}, 3.577124460091777*^9, {
   3.5771246867604027`*^9, 3.577124687485404*^9}, {3.5771247262454576`*^9, 
   3.577124736225472*^9}, {3.5771249301857433`*^9, 3.577124965270793*^9}, {
   3.577125014070861*^9, 3.5771250359158916`*^9}, {3.5771254552802134`*^9, 
   3.5771254553602133`*^9}, {3.577126751915112*^9, 3.5771267835889235`*^9}, {
   3.57712684576748*^9, 3.5771268462435074`*^9}, {3.57713543645292*^9, 
   3.5771355157880306`*^9}, {3.577135567978104*^9, 3.577135580858122*^9}, {
   3.5771529900050907`*^9, 3.5771529909100924`*^9}, {3.5771530592251873`*^9, 
   3.5771530632001934`*^9}, {3.577153192335374*^9, 3.577153192950375*^9}, {
   3.577197143041875*^9, 3.5771972029423013`*^9}, {3.5771972373902717`*^9, 
   3.577197263731778*^9}, 3.577197338046029*^9, {3.577198257795635*^9, 
   3.5771982616968584`*^9}, {3.57719846680259*^9, 3.5771984854506564`*^9}, {
   3.577198519489603*^9, 3.57719852013264*^9}, {3.5771985739137163`*^9, 
   3.5771985978530855`*^9}, {3.5771988606081142`*^9, 
   3.5771989404456806`*^9}, {3.5771991221540737`*^9, 
   3.5771991688327436`*^9}, {3.5771994432884417`*^9, 3.577199443851474*^9}, 
   3.5772002059900656`*^9, {3.5772008095005846`*^9, 3.577200831911866*^9}, 
   3.577200976861157*^9, 3.5774570141162586`*^9, {3.5774571134263973`*^9, 
   3.577457113816398*^9}, {3.5774571488614473`*^9, 3.5774571492114477`*^9}, {
   3.577459237504595*^9, 3.5774592377936115`*^9}, {3.5774592687973847`*^9, 
   3.57745929370881*^9}, {3.5774594148187366`*^9, 3.577459425666357*^9}, {
   3.5774613119902487`*^9, 3.5774613319213886`*^9}, {3.577461749377266*^9, 
   3.577461783110195*^9}, {3.577461861065654*^9, 3.577461861502679*^9}, 
   3.5774627119231586`*^9, 3.577479584429263*^9, 3.5774812761140213`*^9, 
   3.577482131763962*^9, 3.577482788912549*^9, 3.5774828274957557`*^9, 
   3.5774843648096848`*^9, {3.5774858791473*^9, 3.5774858962172766`*^9}, 
   3.5774861900820847`*^9, {3.577486239194894*^9, 3.5774862623222165`*^9}, 
   3.577535239988654*^9, 3.577537734170313*^9, 3.5776264360874634`*^9, 
   3.5776265216725836`*^9, 3.577722115640687*^9, 3.5780618179181128`*^9, 
   3.5780619653513203`*^9, 3.57806251246509*^9, {3.578067082159218*^9, 
   3.578067114916091*^9}, 3.5780694734939938`*^9, 3.578075132276658*^9, 
   3.578228896938452*^9, 3.5782292901619425`*^9, 3.5782295777133904`*^9, 
   3.5782297000643883`*^9, 3.5782306907000494`*^9, {3.578231263638819*^9, 
   3.5782313049421816`*^9}, {3.578231444868185*^9, 3.578231445153201*^9}, {
   3.57823189497793*^9, 3.5782319073436375`*^9}, 3.5782320063503*^9, 
   3.5782321438211627`*^9, {3.5782358379833965`*^9, 3.578235855575403*^9}, 
   3.5783536260480623`*^9, {3.5783541031313496`*^9, 3.578354107946625*^9}, 
   3.578354146003802*^9, {3.578354440133625*^9, 3.578354440954672*^9}, {
   3.578355161453882*^9, 3.5783551650470877`*^9}, {3.5783565211806545`*^9, 
   3.578356521791689*^9}, {3.578357935299537*^9, 3.578357943177988*^9}, {
   3.5783605991629014`*^9, 3.5783606143437696`*^9}, {3.578406755521894*^9, 
   3.578406756085926*^9}, {3.5784094270896993`*^9, 3.578409427351714*^9}, {
   3.578409830463771*^9, 3.5784098464526854`*^9}, {3.578409889128126*^9, 
   3.5784099681566467`*^9}, {3.5786718310378284`*^9, 3.578671860042488*^9}, {
   3.578672312065342*^9, 3.5786723520956316`*^9}, {3.5786724599488006`*^9, 
   3.5786724972949367`*^9}, {3.57867452806709*^9, 3.57867455726476*^9}, 
   3.578678643355471*^9, {3.5786786957454677`*^9, 3.578678697960594*^9}, {
   3.578682151367118*^9, 3.578682160176622*^9}, {3.578682211795574*^9, 
   3.578682283904699*^9}, {3.5786847694948664`*^9, 3.5786847787753973`*^9}, {
   3.5786863915776443`*^9, 3.5786864214143505`*^9}, {3.5787014012263627`*^9, 
   3.5787014299640064`*^9}, {3.5787051810935593`*^9, 
   3.5787051834986963`*^9}, {3.578705222035901*^9, 3.5787052223479185`*^9}, {
   3.5787055903249655`*^9, 3.578705591722046*^9}, {3.578705878082424*^9, 
   3.5787058783544397`*^9}, {3.5787066253991685`*^9, 3.578706635618753*^9}, {
   3.578706712548153*^9, 3.5787067694084053`*^9}, 3.5787068172281404`*^9, {
   3.578709034326951*^9, 3.5787090579563026`*^9}, {3.5787091680796013`*^9, 
   3.57870918745971*^9}, {3.578749012419859*^9, 3.578749057216421*^9}, {
   3.5816423912693596`*^9, 3.5816424055121746`*^9}, {3.581991876562754*^9, 
   3.581991878925889*^9}, {3.581991910295684*^9, 3.5819919121987925`*^9}, {
   3.595851599442778*^9, 3.595851599620788*^9}, 3.595851634424779*^9, {
   3.5958519867769322`*^9, 3.5958521034906077`*^9}, {3.5958544350349646`*^9, 
   3.595854463266579*^9}, {3.595939459051134*^9, 3.595939478334237*^9}, {
   3.601671865502838*^9, 3.6016719582181416`*^9}, {3.601672245509574*^9, 
   3.6016723379598618`*^9}, {3.6016724186744785`*^9, 
   3.6016726133226113`*^9}, {3.6016726589422207`*^9, 3.60167265910723*^9}, {
   3.603480542733938*^9, 3.603480546542156*^9}, {3.603480665933985*^9, 
   3.603480693679572*^9}, {3.603482851097969*^9, 3.6034828522220335`*^9}, {
   3.6034832308066874`*^9, 3.6034832312107105`*^9}, 3.603540976307789*^9, {
   3.6120090574049473`*^9, 3.6120090611901636`*^9}, {3.6127094485885086`*^9, 
   3.6127094526133156`*^9}, {3.6127121861814337`*^9, 3.612712219703351*^9}, {
   3.6127122524202223`*^9, 3.612712314364765*^9}, {3.6127127989424815`*^9, 
   3.6127128497393866`*^9}, {3.6127128817532177`*^9, 3.612712934706247*^9}, {
   3.6127252545439014`*^9, 3.6127252733809786`*^9}, {3.612725318714572*^9, 
   3.6127253270820503`*^9}, 3.6127253612680054`*^9, {3.6127254571994925`*^9, 
   3.612725489763355*^9}, {3.612725530956711*^9, 3.61272555122587*^9}, {
   3.6127256200828085`*^9, 3.612725622831966*^9}, {3.6127256729678335`*^9, 
   3.612725694667075*^9}, {3.6128033826411066`*^9, 3.6128033846132193`*^9}, {
   3.612803429821805*^9, 3.6128034448516645`*^9}, {3.612804475490614*^9, 
   3.6128045091935415`*^9}, 3.6128046590761147`*^9, 3.61288434105002*^9, 
   3.6182400590456*^9, {3.619724574571745*^9, 3.6197245748487606`*^9}, {
   3.6392400913341365`*^9, 3.6392400937833405`*^9}, {3.639758017868762*^9, 
   3.6397580210355673`*^9}, {3.6397600471749854`*^9, 3.6397600782857647`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Defining", " ", "the", " ", "covariant", " ", "metric", " ", "tensor"}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"covMetricTensor", "=", 
    RowBox[{"(", GridBox[{
       {
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", 
           RowBox[{"F", "[", "r", "]"}]}]]}], "0", "0", "0"},
       {"0", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"2", 
          RowBox[{"H", "[", "r", "]"}]}]], "0", "0"},
       {"0", "0", 
        SuperscriptBox["r", "2"], "0"},
       {"0", "0", "0", 
        RowBox[{
         SuperscriptBox["r", "2"], 
         SuperscriptBox[
          RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"]}]}
      }], ")"}]}], ";"}]}]], "Input",
 CellChangeTimes->{{3.573509246246081*^9, 3.5735092922877145`*^9}, {
   3.5735093265786753`*^9, 3.573509427416443*^9}, {3.5735095129333344`*^9, 
   3.573509529898305*^9}, {3.573509569407565*^9, 3.5735095887646723`*^9}, {
   3.5735096258047905`*^9, 3.5735096353533363`*^9}, {3.5735096845141487`*^9, 
   3.573509687926344*^9}, {3.5735099024286127`*^9, 3.5735099068208637`*^9}, {
   3.573510093632549*^9, 3.5735101771823273`*^9}, {3.5735102282332478`*^9, 
   3.57351027076768*^9}, 3.573510302419491*^9, {3.5735104098006325`*^9, 
   3.5735104122917747`*^9}, {3.573510471065137*^9, 3.5735104794866185`*^9}, {
   3.573510574029026*^9, 3.573510583121546*^9}, 3.573510968397582*^9, {
   3.573511576066339*^9, 3.573511577728434*^9}, {3.573511755092579*^9, 
   3.5735117622189865`*^9}, {3.573511894737566*^9, 3.5735118971367035`*^9}, {
   3.5735119317166815`*^9, 3.573511935617904*^9}, {3.573511978508357*^9, 
   3.573511997244429*^9}, 3.573512039444843*^9, {3.5735120830383363`*^9, 
   3.5735120871005683`*^9}, {3.5735121363013825`*^9, 3.5735121385125093`*^9}, 
   3.573513059412182*^9, 3.573513135484533*^9, {3.5735133212571583`*^9, 
   3.5735133467256145`*^9}, {3.573513377361367*^9, 3.5735133828206797`*^9}, 
   3.573513548029129*^9, {3.5735135924296684`*^9, 3.5735136133558655`*^9}, 
   3.5735140906771665`*^9, {3.5735143323729906`*^9, 3.5735143528691635`*^9}, 
   3.573516214879664*^9, 3.5735171274948626`*^9, 3.573517822300603*^9, 
   3.573518601240156*^9, 3.5735187084952908`*^9, 3.5735190980525723`*^9, 
   3.5735191702136993`*^9, 3.573519626485797*^9, 3.5735196618858213`*^9, 
   3.5735197346259823`*^9, 3.573520375910661*^9, 3.573520422030299*^9, 
   3.573520473309232*^9, 3.5735212850046587`*^9, 3.5735214868152013`*^9, 
   3.5735215425963917`*^9, {3.573521907428259*^9, 3.5735219077632785`*^9}, 
   3.5735223457153273`*^9, {3.573522568351062*^9, 3.573522582190853*^9}, {
   3.5735228300530305`*^9, 3.5735228533383617`*^9}, 3.5735229363581104`*^9, {
   3.5735233775503454`*^9, 3.573523394054289*^9}, {3.5735240977725396`*^9, 
   3.5735241193257723`*^9}, 3.573525077676587*^9, 3.5735258278814964`*^9, 
   3.573572816991063*^9, {3.573574203397361*^9, 3.573574299262844*^9}, {
   3.5735744046748734`*^9, 3.573574410074182*^9}, 3.573574446070241*^9, 
   3.5735744797631683`*^9, 3.573574902865368*^9, {3.5735749429806623`*^9, 
   3.5735750257103944`*^9}, {3.5735750683828354`*^9, 3.573575201669459*^9}, 
   3.5739178586062965`*^9, {3.5739178970963497`*^9, 3.5739178972463503`*^9}, {
   3.5739180756066*^9, 3.5739180916066227`*^9}, {3.573918196286769*^9, 
   3.573918200181774*^9}, {3.573922442981887*^9, 3.573922445881891*^9}, {
   3.573923447661295*^9, 3.573923447986295*^9}, {3.5739253610359774`*^9, 
   3.5739253862460127`*^9}, 3.5739255731812744`*^9, 3.5739256289163523`*^9, 
   3.5739256768514194`*^9, 3.5739257902915783`*^9, {3.5739265585106573`*^9, 
   3.57392657517068*^9}, 3.5739266931158457`*^9, 3.5739267317359*^9, 
   3.5739267725409565`*^9, {3.5739271657147894`*^9, 3.57392717586837*^9}, {
   3.573927207651188*^9, 3.5739272378659163`*^9}, {3.5739278877090855`*^9, 
   3.573927888992159*^9}, {3.574092564352298*^9, 3.5740925681625156`*^9}, {
   3.5740926258038125`*^9, 3.5740926268848743`*^9}, {3.574092713463826*^9, 
   3.574092934364461*^9}, {3.5740930963187246`*^9, 3.5740931222022047`*^9}, 
   3.5740931704739656`*^9, {3.5741021001997166`*^9, 3.5741022178874483`*^9}, {
   3.5741024635855017`*^9, 3.5741024911440773`*^9}, 3.5741827731939077`*^9, {
   3.5741828584067817`*^9, 3.574182865094164*^9}, 3.574186254142007*^9, 
   3.574186328807277*^9, {3.574186522787372*^9, 3.5741865403583775`*^9}, 
   3.5751218328250895`*^9, 3.57512482889587*^9, 3.5751248615767393`*^9, 
   3.575125276365464*^9, 3.5751253069412127`*^9, 3.575126168743505*^9, {
   3.5756425689795423`*^9, 3.575642572807761*^9}, {3.575642622313593*^9, 
   3.575642637589466*^9}, 3.575643846163593*^9, 3.5756438865159006`*^9, {
   3.5756443037197638`*^9, 3.5756443161634755`*^9}, {3.575644476855666*^9, 
   3.5756444911904864`*^9}, 3.575644579070513*^9, 3.5756446217269526`*^9, 
   3.575645873696561*^9, 3.57564651042698*^9, 3.5756469772026777`*^9, 
   3.5756470271105328`*^9, 3.5756470614464965`*^9, {3.5756471084771867`*^9, 
   3.57564712514614*^9}, 3.5756471760190496`*^9, 3.5756479924487467`*^9, 
   3.5762429587821765`*^9, 3.5762440763540983`*^9, 3.5762463730684624`*^9, 
   3.576246580869348*^9, 3.5762489955094576`*^9, 3.576249057150983*^9, {
   3.5762501162825623`*^9, 3.5762501289652877`*^9}, {3.5763300268811374`*^9, 
   3.576330038692813*^9}, 3.5763302245894456`*^9, {3.5763408289849825`*^9, 
   3.576340830031042*^9}, {3.5763412532472486`*^9, 3.5763412596596155`*^9}, {
   3.576341311327571*^9, 3.5763413195290403`*^9}, {3.5763413569851823`*^9, 
   3.5763414594280415`*^9}, {3.5763414908288374`*^9, 3.576341492375926*^9}, {
   3.57634157094042*^9, 3.576341572428505*^9}, {3.5763433510862384`*^9, 
   3.576343365291051*^9}, {3.576343435998095*^9, 3.5763434541911354`*^9}, {
   3.5763435463734083`*^9, 3.5763435541818547`*^9}, {3.5763435934561014`*^9, 
   3.5763436106260834`*^9}, {3.5763437394854536`*^9, 3.57634373977647*^9}, {
   3.5763571333237896`*^9, 3.5763572108172216`*^9}, 3.5763577526642137`*^9, 
   3.5765101566030626`*^9, {3.576510815055724*^9, 3.576510815593755*^9}, {
   3.5765108460494967`*^9, 3.5765108511277876`*^9}, {3.576511057502591*^9, 
   3.576511076267665*^9}, {3.576512104052451*^9, 3.5765121069176145`*^9}, 
   3.5765132494169617`*^9, 3.5765134727897377`*^9, {3.5765155296133814`*^9, 
   3.5765156047256775`*^9}, {3.5765159378727326`*^9, 3.5765159399218497`*^9}, 
   3.576515971672666*^9, 3.5765178976488256`*^9, 3.576517941002305*^9, {
   3.5765186244543962`*^9, 3.576518652951026*^9}, {3.5765188190905285`*^9, 
   3.5765188315672426`*^9}, 3.5765188741786795`*^9, 3.5765189354901867`*^9, 
   3.5765421758603425`*^9, 3.576542226193221*^9, {3.5765422650494432`*^9, 
   3.5765422771851377`*^9}, 3.576543246073555*^9, 3.576544279971691*^9, 
   3.5765444896196823`*^9, 3.5765448381686172`*^9, {3.5765449832119136`*^9, 
   3.5765450200610213`*^9}, 3.576545190097747*^9, {3.576545225259758*^9, 
   3.5765452353153334`*^9}, 3.576545277963773*^9, 3.576545350160902*^9, {
   3.5765453938594017`*^9, 3.576545422139019*^9}, 3.576547026942808*^9, 
   3.5765473775778637`*^9, 3.5770289951318736`*^9, 3.5771133407809224`*^9, {
   3.5771134030904865`*^9, 3.577113403203493*^9}, {3.5771135206312094`*^9, 
   3.5771135270675774`*^9}, 3.5771149291777735`*^9, {3.577115231315055*^9, 
   3.5771152436697617`*^9}, {3.577115338697197*^9, 3.5771153387962027`*^9}, {
   3.577115397368552*^9, 3.5771154204488726`*^9}, {3.577115535162434*^9, 
   3.577115535253439*^9}, 3.5771175733280106`*^9, 3.5771183641652436`*^9, 
   3.5771186532377777`*^9, 3.5771188950486083`*^9, {3.5771191544894476`*^9, 
   3.577119177035737*^9}, {3.5771193777382164`*^9, 3.5771193783512516`*^9}, 
   3.577119418685559*^9, 3.577119548052958*^9, {3.5771204471313825`*^9, 
   3.577120456751933*^9}, {3.577120494442088*^9, 3.577120503273594*^9}, {
   3.5771206693320913`*^9, 3.5771206702631445`*^9}, {3.5771210248734274`*^9, 
   3.5771210465946693`*^9}, {3.5771211080361843`*^9, 3.577121108455208*^9}, {
   3.5771211939961004`*^9, 3.57712119537918*^9}, {3.5771219415738597`*^9, 
   3.5771219442800145`*^9}, 3.57712203284908*^9, 3.5771222539137244`*^9, {
   3.5771223423627834`*^9, 3.577122411500738*^9}, {3.5771225050990915`*^9, 
   3.5771225051610947`*^9}, {3.577122535791847*^9, 3.5771225695087757`*^9}, 
   3.577122746664627*^9, 3.5771228540396156`*^9, {3.577122889217677*^9, 
   3.5771228925404835`*^9}, 3.577122940744568*^9, 3.5771230127002945`*^9, {
   3.577123191490001*^9, 3.577123210505028*^9}, {3.57712327656512*^9, 
   3.5771233297451944`*^9}, 3.577123364075243*^9, 3.5771236913657007`*^9, {
   3.577123849990923*^9, 3.5771238703709517`*^9}, 3.577123984921112*^9, 
   3.5771240276311717`*^9, {3.5771242475914793`*^9, 3.5771242697515106`*^9}, {
   3.5771243429566135`*^9, 3.577124386046674*^9}, 3.577124460091777*^9, {
   3.5771246867604027`*^9, 3.577124687485404*^9}, {3.5771247262454576`*^9, 
   3.577124736225472*^9}, {3.5771249301857433`*^9, 3.577124965270793*^9}, {
   3.577125014070861*^9, 3.5771250359158916`*^9}, {3.5771254552802134`*^9, 
   3.5771254553602133`*^9}, {3.577126751915112*^9, 3.5771267835889235`*^9}, {
   3.57712684576748*^9, 3.5771268462435074`*^9}, {3.57713543645292*^9, 
   3.5771355157880306`*^9}, {3.577135567978104*^9, 3.577135580858122*^9}, {
   3.5771529900050907`*^9, 3.5771529909100924`*^9}, {3.5771530592251873`*^9, 
   3.5771530632001934`*^9}, {3.577153192335374*^9, 3.577153192950375*^9}, {
   3.577197143041875*^9, 3.5771972029423013`*^9}, {3.5771972373902717`*^9, 
   3.577197263731778*^9}, 3.577197338046029*^9, {3.577198257795635*^9, 
   3.5771982616968584`*^9}, {3.57719846680259*^9, 3.5771984854506564`*^9}, {
   3.577198519489603*^9, 3.57719852013264*^9}, {3.5771985739137163`*^9, 
   3.5771985978530855`*^9}, {3.5771988606081142`*^9, 
   3.5771989404456806`*^9}, {3.5771991221540737`*^9, 
   3.5771991688327436`*^9}, {3.5771994432884417`*^9, 3.577199443851474*^9}, 
   3.5772002059900656`*^9, {3.5772008095005846`*^9, 3.577200831911866*^9}, 
   3.577200976861157*^9, 3.5774570141162586`*^9, {3.5774571134263973`*^9, 
   3.577457113816398*^9}, {3.5774571488614473`*^9, 3.5774571492114477`*^9}, {
   3.577459237504595*^9, 3.5774592377936115`*^9}, {3.5774592687973847`*^9, 
   3.57745929370881*^9}, {3.5774594148187366`*^9, 3.577459425666357*^9}, {
   3.5774613119902487`*^9, 3.5774613319213886`*^9}, {3.577461749377266*^9, 
   3.577461783110195*^9}, {3.577461861065654*^9, 3.577461861502679*^9}, 
   3.5774627119231586`*^9, 3.577479584429263*^9, 3.5774812761140213`*^9, 
   3.577482131763962*^9, 3.577482788912549*^9, 3.5774828274957557`*^9, 
   3.5774843648096848`*^9, {3.5774858791473*^9, 3.5774858962172766`*^9}, 
   3.5774861900820847`*^9, {3.577486239194894*^9, 3.5774862623222165`*^9}, 
   3.577535239988654*^9, 3.577537734170313*^9, 3.5776264360874634`*^9, 
   3.5776265216725836`*^9, 3.577722115640687*^9, 3.5780618179181128`*^9, 
   3.5780619653513203`*^9, 3.57806251246509*^9, {3.578067082159218*^9, 
   3.578067114916091*^9}, 3.5780694734939938`*^9, 3.578075132276658*^9, 
   3.578228896938452*^9, 3.5782292901619425`*^9, 3.5782295777133904`*^9, 
   3.5782297000643883`*^9, 3.5782306907000494`*^9, {3.578231263638819*^9, 
   3.5782313049421816`*^9}, {3.578231444868185*^9, 3.578231445153201*^9}, {
   3.57823189497793*^9, 3.5782319073436375`*^9}, 3.5782320063503*^9, 
   3.5782321438211627`*^9, {3.5782358379833965`*^9, 3.578235855575403*^9}, 
   3.5783536260480623`*^9, {3.5783541031313496`*^9, 3.578354107946625*^9}, 
   3.578354146003802*^9, {3.578354440133625*^9, 3.578354440954672*^9}, {
   3.578355161453882*^9, 3.5783551650470877`*^9}, {3.5783565211806545`*^9, 
   3.578356521791689*^9}, {3.578357935299537*^9, 3.578357943177988*^9}, {
   3.5783605991629014`*^9, 3.5783606143437696`*^9}, {3.578406755521894*^9, 
   3.578406756085926*^9}, {3.5784094270896993`*^9, 3.578409427351714*^9}, {
   3.578409830463771*^9, 3.5784098464526854`*^9}, {3.578409889128126*^9, 
   3.5784099681566467`*^9}, {3.5786718310378284`*^9, 3.578671860042488*^9}, {
   3.578672312065342*^9, 3.5786723520956316`*^9}, {3.5786724599488006`*^9, 
   3.5786724972949367`*^9}, {3.57867452806709*^9, 3.57867455726476*^9}, 
   3.578678643355471*^9, {3.5786786957454677`*^9, 3.578678697960594*^9}, {
   3.578682151367118*^9, 3.578682160176622*^9}, {3.578682211795574*^9, 
   3.578682283904699*^9}, {3.5786847694948664`*^9, 3.5786847787753973`*^9}, {
   3.5786863915776443`*^9, 3.5786864214143505`*^9}, {3.5787014012263627`*^9, 
   3.5787014299640064`*^9}, {3.5787051810935593`*^9, 
   3.5787051834986963`*^9}, {3.578705222035901*^9, 3.5787052223479185`*^9}, {
   3.5787055903249655`*^9, 3.578705591722046*^9}, {3.578705878082424*^9, 
   3.5787058783544397`*^9}, {3.5787066253991685`*^9, 3.578706635618753*^9}, {
   3.578706712548153*^9, 3.5787067694084053`*^9}, 3.5787068172281404`*^9, {
   3.578709034326951*^9, 3.5787090579563026`*^9}, {3.5787091680796013`*^9, 
   3.57870918745971*^9}, {3.578749012419859*^9, 3.578749057216421*^9}, {
   3.5816423912693596`*^9, 3.5816424055121746`*^9}, {3.581991876562754*^9, 
   3.581991878925889*^9}, {3.581991910295684*^9, 3.5819919121987925`*^9}, {
   3.595851599442778*^9, 3.595851599620788*^9}, 3.595851634424779*^9, {
   3.5958519867769322`*^9, 3.5958521034906077`*^9}, {3.5958544350349646`*^9, 
   3.595854463266579*^9}, {3.595939459051134*^9, 3.595939478334237*^9}, {
   3.601671865502838*^9, 3.6016719582181416`*^9}, {3.601672245509574*^9, 
   3.6016723379598618`*^9}, {3.6016724186744785`*^9, 
   3.6016726133226113`*^9}, {3.6016726589422207`*^9, 3.60167265910723*^9}, {
   3.603480542733938*^9, 3.603480546542156*^9}, {3.603480665933985*^9, 
   3.603480693679572*^9}, {3.603482851097969*^9, 3.6034828522220335`*^9}, {
   3.6034832308066874`*^9, 3.6034832312107105`*^9}, 3.603540976307789*^9, {
   3.6120090574049473`*^9, 3.6120090611901636`*^9}, {3.6127094485885086`*^9, 
   3.6127094526133156`*^9}, {3.6127121861814337`*^9, 3.612712219703351*^9}, {
   3.6127122524202223`*^9, 3.612712314364765*^9}, {3.6127127989424815`*^9, 
   3.6127128497393866`*^9}, {3.6127128817532177`*^9, 3.612712934706247*^9}, {
   3.6127252545439014`*^9, 3.6127252733809786`*^9}, {3.612725318714572*^9, 
   3.6127253270820503`*^9}, 3.6127253612680054`*^9, {3.6127254571994925`*^9, 
   3.612725489763355*^9}, {3.612725530956711*^9, 3.61272555122587*^9}, {
   3.6127256200828085`*^9, 3.612725622831966*^9}, {3.6127256729678335`*^9, 
   3.612725694667075*^9}, {3.6128033826411066`*^9, 3.6128033846132193`*^9}, {
   3.612803429821805*^9, 3.6128034448516645`*^9}, {3.612804475490614*^9, 
   3.6128045091935415`*^9}, {3.6128046590761147`*^9, 3.6128046666405473`*^9}, 
   3.6128843675856667`*^9, {3.6131435260003047`*^9, 3.613143526359105*^9}, {
   3.613143607338847*^9, 3.613143608430849*^9}, {3.613151045234583*^9, 
   3.6131510467321854`*^9}, {3.613185774968797*^9, 3.6131858092108574`*^9}, {
   3.6132407014848433`*^9, 3.613240702227886*^9}, {3.614354238045495*^9, 
   3.614354239493578*^9}, {3.6167728125381794`*^9, 3.61677287741589*^9}, {
   3.616772923080502*^9, 3.6167729464318376`*^9}, {3.616772993241515*^9, 
   3.616773017661912*^9}, 3.6168548371028037`*^9, {3.616857981904676*^9, 
   3.616857984134804*^9}, {3.6182400590656013`*^9, 3.6182400591406054`*^9}, {
   3.622464931942322*^9, 3.622464933858432*^9}, {3.622465013244972*^9, 
   3.6224650181242514`*^9}, {3.6392401200537868`*^9, 3.639240170847476*^9}, {
   3.639240212421549*^9, 3.6392402172887573`*^9}, {3.6392423956753817`*^9, 
   3.639242398114987*^9}, {3.639758745033633*^9, 3.6397587530714493`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", "Initializing", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Setup", "[", 
    RowBox[{"coordinates", ",", "signature", ",", "covMetricTensor"}], "]"}], 
   ";"}]}]], "Input",
 CellChangeTimes->{{3.573509246246081*^9, 3.5735092922877145`*^9}, {
   3.5735093265786753`*^9, 3.573509427416443*^9}, {3.5735095129333344`*^9, 
   3.573509529898305*^9}, {3.573509569407565*^9, 3.5735095887646723`*^9}, {
   3.5735096258047905`*^9, 3.5735096353533363`*^9}, {3.5735096845141487`*^9, 
   3.573509687926344*^9}, {3.5735099024286127`*^9, 3.5735099068208637`*^9}, {
   3.573510093632549*^9, 3.5735101771823273`*^9}, {3.5735102282332478`*^9, 
   3.57351027076768*^9}, 3.573510302419491*^9, {3.5735104098006325`*^9, 
   3.5735104122917747`*^9}, {3.573510471065137*^9, 3.5735104794866185`*^9}, {
   3.573510574029026*^9, 3.573510583121546*^9}, 3.573510968397582*^9, {
   3.573511576066339*^9, 3.573511577728434*^9}, {3.573511755092579*^9, 
   3.5735117622189865`*^9}, {3.573511894737566*^9, 3.5735118971367035`*^9}, {
   3.5735119317166815`*^9, 3.573511935617904*^9}, {3.573511978508357*^9, 
   3.573511997244429*^9}, 3.573512039444843*^9, {3.5735120830383363`*^9, 
   3.5735120871005683`*^9}, {3.5735121363013825`*^9, 3.5735121385125093`*^9}, 
   3.573513059412182*^9, 3.573513135484533*^9, {3.5735133212571583`*^9, 
   3.5735133467256145`*^9}, {3.573513377361367*^9, 3.5735133828206797`*^9}, 
   3.573513548029129*^9, {3.5735135924296684`*^9, 3.5735136133558655`*^9}, 
   3.5735140906771665`*^9, {3.5735143323729906`*^9, 3.5735143528691635`*^9}, 
   3.573516214879664*^9, 3.5735171274948626`*^9, 3.573517822300603*^9, 
   3.573518601240156*^9, 3.5735187084952908`*^9, 3.5735190980525723`*^9, 
   3.5735191702136993`*^9, 3.573519626485797*^9, 3.5735196618858213`*^9, 
   3.5735197346259823`*^9, 3.573520375910661*^9, 3.573520422030299*^9, 
   3.573520473309232*^9, 3.5735212850046587`*^9, 3.5735214868152013`*^9, 
   3.5735215425963917`*^9, {3.573521907428259*^9, 3.5735219077632785`*^9}, 
   3.5735223457153273`*^9, {3.573522568351062*^9, 3.573522582190853*^9}, {
   3.5735228300530305`*^9, 3.5735228533383617`*^9}, 3.5735229363581104`*^9, {
   3.5735233775503454`*^9, 3.573523394054289*^9}, {3.5735240977725396`*^9, 
   3.5735241193257723`*^9}, 3.573525077676587*^9, 3.5735258278814964`*^9, 
   3.573572816991063*^9, {3.573574203397361*^9, 3.573574299262844*^9}, {
   3.5735744046748734`*^9, 3.573574410074182*^9}, 3.573574446070241*^9, 
   3.5735744797631683`*^9, 3.573574902865368*^9, {3.5735749429806623`*^9, 
   3.5735750257103944`*^9}, {3.5735750683828354`*^9, 3.573575201669459*^9}, 
   3.5739178586062965`*^9, {3.5739178970963497`*^9, 3.5739178972463503`*^9}, {
   3.5739180756066*^9, 3.5739180916066227`*^9}, {3.573918196286769*^9, 
   3.573918200181774*^9}, {3.573922442981887*^9, 3.573922445881891*^9}, {
   3.573923447661295*^9, 3.573923447986295*^9}, {3.5739253610359774`*^9, 
   3.5739253862460127`*^9}, 3.5739255731812744`*^9, 3.5739256289163523`*^9, 
   3.5739256768514194`*^9, 3.5739257902915783`*^9, {3.5739265585106573`*^9, 
   3.57392657517068*^9}, 3.5739266931158457`*^9, 3.5739267317359*^9, 
   3.5739267725409565`*^9, {3.5739271657147894`*^9, 3.57392717586837*^9}, {
   3.573927207651188*^9, 3.5739272378659163`*^9}, {3.5739278877090855`*^9, 
   3.573927888992159*^9}, {3.574092564352298*^9, 3.5740925681625156`*^9}, {
   3.5740926258038125`*^9, 3.5740926268848743`*^9}, {3.574092713463826*^9, 
   3.574092934364461*^9}, {3.5740930963187246`*^9, 3.5740931222022047`*^9}, 
   3.5740931704739656`*^9, {3.5741021001997166`*^9, 3.5741022178874483`*^9}, {
   3.5741024635855017`*^9, 3.5741024911440773`*^9}, 3.5741827731939077`*^9, {
   3.5741828584067817`*^9, 3.574182865094164*^9}, 3.574186254142007*^9, 
   3.574186328807277*^9, {3.574186522787372*^9, 3.5741865403583775`*^9}, 
   3.5751218328250895`*^9, 3.57512482889587*^9, 3.5751248615767393`*^9, 
   3.575125276365464*^9, 3.5751253069412127`*^9, 3.575126168743505*^9, {
   3.5756425689795423`*^9, 3.575642572807761*^9}, {3.575642622313593*^9, 
   3.575642637589466*^9}, 3.575643846163593*^9, 3.5756438865159006`*^9, {
   3.5756443037197638`*^9, 3.5756443161634755`*^9}, {3.575644476855666*^9, 
   3.5756444911904864`*^9}, 3.575644579070513*^9, 3.5756446217269526`*^9, 
   3.575645873696561*^9, 3.57564651042698*^9, 3.5756469772026777`*^9, 
   3.5756470271105328`*^9, 3.5756470614464965`*^9, {3.5756471084771867`*^9, 
   3.57564712514614*^9}, 3.5756471760190496`*^9, 3.5756479924487467`*^9, 
   3.5762429587821765`*^9, 3.5762440763540983`*^9, 3.5762463730684624`*^9, 
   3.576246580869348*^9, 3.5762489955094576`*^9, 3.576249057150983*^9, {
   3.5762501162825623`*^9, 3.5762501289652877`*^9}, {3.5763300268811374`*^9, 
   3.576330038692813*^9}, 3.5763302245894456`*^9, {3.5763408289849825`*^9, 
   3.576340830031042*^9}, {3.5763412532472486`*^9, 3.5763412596596155`*^9}, {
   3.576341311327571*^9, 3.5763413195290403`*^9}, {3.5763413569851823`*^9, 
   3.5763414594280415`*^9}, {3.5763414908288374`*^9, 3.576341492375926*^9}, {
   3.57634157094042*^9, 3.576341572428505*^9}, {3.5763433510862384`*^9, 
   3.576343365291051*^9}, {3.576343435998095*^9, 3.5763434541911354`*^9}, {
   3.5763435463734083`*^9, 3.5763435541818547`*^9}, {3.5763435934561014`*^9, 
   3.5763436106260834`*^9}, {3.5763437394854536`*^9, 3.57634373977647*^9}, {
   3.5763571333237896`*^9, 3.5763572108172216`*^9}, 3.5763577526642137`*^9, 
   3.5765101566030626`*^9, {3.576510815055724*^9, 3.576510815593755*^9}, {
   3.5765108460494967`*^9, 3.5765108511277876`*^9}, {3.576511057502591*^9, 
   3.576511076267665*^9}, {3.576512104052451*^9, 3.5765121069176145`*^9}, 
   3.5765132494169617`*^9, 3.5765134727897377`*^9, {3.5765155296133814`*^9, 
   3.5765156047256775`*^9}, {3.5765159378727326`*^9, 3.5765159399218497`*^9}, 
   3.576515971672666*^9, 3.5765178976488256`*^9, 3.576517941002305*^9, {
   3.5765186244543962`*^9, 3.576518652951026*^9}, {3.5765188190905285`*^9, 
   3.5765188315672426`*^9}, 3.5765188741786795`*^9, 3.5765189354901867`*^9, 
   3.5765421758603425`*^9, 3.576542226193221*^9, {3.5765422650494432`*^9, 
   3.5765422771851377`*^9}, 3.576543246073555*^9, 3.576544279971691*^9, 
   3.5765444896196823`*^9, 3.5765448381686172`*^9, {3.5765449832119136`*^9, 
   3.5765450200610213`*^9}, 3.576545190097747*^9, {3.576545225259758*^9, 
   3.5765452353153334`*^9}, 3.576545277963773*^9, 3.576545350160902*^9, {
   3.5765453938594017`*^9, 3.576545422139019*^9}, 3.576547026942808*^9, 
   3.5765473775778637`*^9, 3.5770289951318736`*^9, 3.5771133407809224`*^9, {
   3.5771134030904865`*^9, 3.577113403203493*^9}, {3.5771135206312094`*^9, 
   3.5771135270675774`*^9}, 3.5771149291777735`*^9, {3.577115231315055*^9, 
   3.5771152436697617`*^9}, {3.577115338697197*^9, 3.5771153387962027`*^9}, {
   3.577115397368552*^9, 3.5771154204488726`*^9}, {3.577115535162434*^9, 
   3.577115535253439*^9}, 3.5771175733280106`*^9, 3.5771183641652436`*^9, 
   3.5771186532377777`*^9, 3.5771188950486083`*^9, {3.5771191544894476`*^9, 
   3.577119177035737*^9}, {3.5771193777382164`*^9, 3.5771193783512516`*^9}, 
   3.577119418685559*^9, 3.577119548052958*^9, {3.5771204471313825`*^9, 
   3.577120456751933*^9}, {3.577120494442088*^9, 3.577120503273594*^9}, {
   3.5771206693320913`*^9, 3.5771206702631445`*^9}, {3.5771210248734274`*^9, 
   3.5771210465946693`*^9}, {3.5771211080361843`*^9, 3.577121108455208*^9}, {
   3.5771211939961004`*^9, 3.57712119537918*^9}, {3.5771219415738597`*^9, 
   3.5771219442800145`*^9}, 3.57712203284908*^9, 3.5771222539137244`*^9, {
   3.5771223423627834`*^9, 3.577122411500738*^9}, {3.5771225050990915`*^9, 
   3.5771225051610947`*^9}, {3.577122535791847*^9, 3.5771225695087757`*^9}, 
   3.577122746664627*^9, 3.5771228540396156`*^9, {3.577122889217677*^9, 
   3.5771228925404835`*^9}, 3.577122940744568*^9, 3.5771230127002945`*^9, {
   3.577123191490001*^9, 3.577123210505028*^9}, {3.57712327656512*^9, 
   3.5771233297451944`*^9}, 3.577123364075243*^9, 3.5771236913657007`*^9, {
   3.577123849990923*^9, 3.5771238703709517`*^9}, 3.577123984921112*^9, 
   3.5771240276311717`*^9, {3.5771242475914793`*^9, 3.5771242697515106`*^9}, {
   3.5771243429566135`*^9, 3.577124386046674*^9}, 3.577124460091777*^9, {
   3.5771246867604027`*^9, 3.577124687485404*^9}, {3.5771247262454576`*^9, 
   3.577124736225472*^9}, {3.5771249301857433`*^9, 3.577124965270793*^9}, {
   3.577125014070861*^9, 3.5771250359158916`*^9}, {3.5771254552802134`*^9, 
   3.5771254553602133`*^9}, {3.577126751915112*^9, 3.5771267835889235`*^9}, {
   3.57712684576748*^9, 3.5771268462435074`*^9}, {3.57713543645292*^9, 
   3.5771355157880306`*^9}, {3.577135567978104*^9, 3.577135580858122*^9}, {
   3.5771529900050907`*^9, 3.5771529909100924`*^9}, {3.5771530592251873`*^9, 
   3.5771530632001934`*^9}, {3.577153192335374*^9, 3.577153192950375*^9}, {
   3.577197143041875*^9, 3.5771972029423013`*^9}, {3.5771972373902717`*^9, 
   3.577197263731778*^9}, 3.577197338046029*^9, {3.577198257795635*^9, 
   3.5771982616968584`*^9}, {3.57719846680259*^9, 3.5771984854506564`*^9}, {
   3.577198519489603*^9, 3.57719852013264*^9}, {3.5771985739137163`*^9, 
   3.5771985978530855`*^9}, {3.5771988606081142`*^9, 
   3.5771989404456806`*^9}, {3.5771991221540737`*^9, 
   3.5771991688327436`*^9}, {3.5771994432884417`*^9, 3.577199443851474*^9}, 
   3.5772002059900656`*^9, {3.5772008095005846`*^9, 3.577200831911866*^9}, 
   3.577200976861157*^9, 3.5774570141162586`*^9, {3.5774571134263973`*^9, 
   3.577457113816398*^9}, {3.5774571488614473`*^9, 3.5774571492114477`*^9}, {
   3.577459237504595*^9, 3.5774592377936115`*^9}, {3.5774592687973847`*^9, 
   3.57745929370881*^9}, {3.5774594148187366`*^9, 3.577459425666357*^9}, {
   3.5774613119902487`*^9, 3.5774613319213886`*^9}, {3.577461749377266*^9, 
   3.577461783110195*^9}, {3.577461861065654*^9, 3.577461861502679*^9}, 
   3.5774627119231586`*^9, 3.577479584429263*^9, 3.5774812761140213`*^9, 
   3.577482131763962*^9, 3.577482788912549*^9, 3.5774828274957557`*^9, 
   3.5774843648096848`*^9, {3.5774858791473*^9, 3.5774858962172766`*^9}, 
   3.5774861900820847`*^9, {3.577486239194894*^9, 3.5774862623222165`*^9}, 
   3.577535239988654*^9, 3.577537734170313*^9, 3.5776264360874634`*^9, 
   3.5776265216725836`*^9, 3.577722115640687*^9, 3.5780618179181128`*^9, 
   3.5780619653513203`*^9, 3.57806251246509*^9, {3.578067082159218*^9, 
   3.578067114916091*^9}, 3.5780694734939938`*^9, 3.578075132276658*^9, 
   3.578228896938452*^9, 3.5782292901619425`*^9, 3.5782295777133904`*^9, 
   3.5782297000643883`*^9, 3.5782306907000494`*^9, {3.578231263638819*^9, 
   3.5782313049421816`*^9}, {3.578231444868185*^9, 3.578231445153201*^9}, {
   3.57823189497793*^9, 3.5782319073436375`*^9}, 3.5782320063503*^9, 
   3.5782321438211627`*^9, {3.5782358379833965`*^9, 3.578235855575403*^9}, 
   3.5783536260480623`*^9, {3.5783541031313496`*^9, 3.578354107946625*^9}, 
   3.578354146003802*^9, {3.578354440133625*^9, 3.578354440954672*^9}, {
   3.578355161453882*^9, 3.5783551650470877`*^9}, {3.5783565211806545`*^9, 
   3.578356521791689*^9}, {3.578357935299537*^9, 3.578357943177988*^9}, {
   3.5783605991629014`*^9, 3.5783606143437696`*^9}, {3.578406755521894*^9, 
   3.578406756085926*^9}, {3.5784094270896993`*^9, 3.578409427351714*^9}, {
   3.578409830463771*^9, 3.5784098464526854`*^9}, {3.578409889128126*^9, 
   3.5784099681566467`*^9}, {3.5786718310378284`*^9, 3.578671860042488*^9}, {
   3.578672312065342*^9, 3.5786723520956316`*^9}, {3.5786724599488006`*^9, 
   3.5786724972949367`*^9}, {3.57867452806709*^9, 3.57867455726476*^9}, 
   3.578678643355471*^9, {3.5786786957454677`*^9, 3.578678697960594*^9}, {
   3.578682151367118*^9, 3.578682160176622*^9}, {3.578682211795574*^9, 
   3.578682283904699*^9}, {3.5786847694948664`*^9, 3.5786847787753973`*^9}, {
   3.5786863915776443`*^9, 3.5786864214143505`*^9}, {3.5787014012263627`*^9, 
   3.5787014299640064`*^9}, {3.5787051810935593`*^9, 
   3.5787051834986963`*^9}, {3.578705222035901*^9, 3.5787052223479185`*^9}, {
   3.5787055903249655`*^9, 3.578705591722046*^9}, {3.578705878082424*^9, 
   3.5787058783544397`*^9}, {3.5787066253991685`*^9, 3.578706635618753*^9}, {
   3.578706712548153*^9, 3.5787067694084053`*^9}, 3.5787068172281404`*^9, {
   3.578709034326951*^9, 3.5787090579563026`*^9}, {3.5787091680796013`*^9, 
   3.57870918745971*^9}, {3.578749012419859*^9, 3.578749057216421*^9}, {
   3.5816423912693596`*^9, 3.5816424055121746`*^9}, {3.581991876562754*^9, 
   3.581991878925889*^9}, {3.581991910295684*^9, 3.5819919121987925`*^9}, {
   3.595851599442778*^9, 3.595851599620788*^9}, 3.595851634424779*^9, {
   3.5958519867769322`*^9, 3.5958521034906077`*^9}, {3.5958544350349646`*^9, 
   3.595854463266579*^9}, {3.595939459051134*^9, 3.595939478334237*^9}, {
   3.601671865502838*^9, 3.6016719582181416`*^9}, {3.601672245509574*^9, 
   3.6016723379598618`*^9}, {3.6016724186744785`*^9, 
   3.6016726133226113`*^9}, {3.6016726589422207`*^9, 3.60167265910723*^9}, {
   3.603480542733938*^9, 3.603480546542156*^9}, {3.603480665933985*^9, 
   3.603480693679572*^9}, {3.603482851097969*^9, 3.6034828522220335`*^9}, {
   3.6034832308066874`*^9, 3.6034832312107105`*^9}, 3.603540976307789*^9, {
   3.6120090574049473`*^9, 3.6120090611901636`*^9}, {3.6127094485885086`*^9, 
   3.6127094526133156`*^9}, {3.6127121861814337`*^9, 3.612712219703351*^9}, {
   3.6127122524202223`*^9, 3.612712314364765*^9}, {3.6127127989424815`*^9, 
   3.6127128497393866`*^9}, {3.6127128817532177`*^9, 3.612712934706247*^9}, {
   3.6127252545439014`*^9, 3.6127252733809786`*^9}, {3.612725318714572*^9, 
   3.6127253270820503`*^9}, 3.6127253612680054`*^9, {3.6127254571994925`*^9, 
   3.612725489763355*^9}, {3.612725530956711*^9, 3.61272555122587*^9}, {
   3.6127256200828085`*^9, 3.612725622831966*^9}, {3.6127256729678335`*^9, 
   3.612725694667075*^9}, {3.6128033826411066`*^9, 3.6128033846132193`*^9}, {
   3.612803429821805*^9, 3.6128034448516645`*^9}, {3.612804475490614*^9, 
   3.6128045091935415`*^9}, {3.6128046590761147`*^9, 3.6128046750750294`*^9}, 
   3.612884374543279*^9, {3.613151041880577*^9, 3.613151042566978*^9}, {
   3.639758760227465*^9, 3.6397587646502733`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Calculate", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
      "this", " ", "function", " ", "can", " ", "be", " ", "called", " ", 
       "without", " ", "a", " ", "stress"}], "-", 
      RowBox[{"energy", " ", "tensor"}]}], ")"}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Calculate", "[", 
    RowBox[{"CalculateCovariantPerfectFluidStressEnergyTensor", "[", "]"}], 
    "]"}], ";"}]}]], "Input",
 CellChangeTimes->{{3.613151034486164*^9, 3.6131510393689723`*^9}, 
   3.616860044608656*^9, 3.6324853871747046`*^9, 3.6324872842162085`*^9, 
   3.63924027564846*^9, {3.639758768233081*^9, 3.63975882047878*^9}}],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "Some", " ", "of", " ", "the", " ", "symbols", " ", "generated", " ", 
   "after", " ", "calculation", " ", 
   RowBox[{"(", 
    RowBox[{
    "pay", " ", "attention", " ", "to", " ", "the", " ", "pattern", " ", 
     "used", " ", "in", " ", "the", " ", "symbols", " ", "names"}], ")"}]}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.6397590381784697`*^9, 3.6397590495382895`*^9}, {
  3.6397597513382397`*^9, 3.6397598031217527`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{"covMetricTensor", "\[IndentingNewLine]", 
 RowBox[{"PrintCovariantMetricTensor", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.6397588616411147`*^9, 3.6397588968963833`*^9}, {
  3.6397590117898183`*^9, 3.6397590256098433`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"2", " ", 
        RowBox[{"F", "[", "r", "]"}]}]]}], ",", "0", ",", "0", ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", 
       RowBox[{"H", "[", "r", "]"}]}]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     SuperscriptBox["r", "2"], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.6397588756621428`*^9, 3.6397590164074264`*^9, 
  3.6397590639385157`*^9, 3.639759292638543*^9, 3.639759683749106*^9, 
  3.6397607850782924`*^9, 3.6397608452866096`*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox[
    SubscriptBox["\<\"g\"\>", "\<\"\[Mu]\"\>"], "\<\"\[Nu]\"\>"], 
   "\[LongEqual]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "F"}]]}], "0", "0", "0"},
       {"0", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"2", " ", "H"}]], "0", "0"},
       {"0", "0", 
        SuperscriptBox["r", "2"], "0"},
       {"0", "0", "0", 
        RowBox[{
         SuperscriptBox["r", "2"], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}]}]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.6397588756621428`*^9, 3.6397590164074264`*^9, 
  3.6397590639385157`*^9, 3.639759292638543*^9, 3.639759683749106*^9, 
  3.6397607850782924`*^9, 3.63976084530221*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{"conMetricTensor", "\[IndentingNewLine]", 
 RowBox[{"PrintContravariantMetricTensor", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.639758886260562*^9, 3.6397589052915993`*^9}, {
  3.6397590000143967`*^9, 3.639759027216646*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"F", "[", "r", "]"}]}]]}], ",", "0", ",", "0", ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{
       RowBox[{"-", "2"}], " ", 
       RowBox[{"H", "[", "r", "]"}]}]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     FractionBox["1", 
      SuperscriptBox["r", "2"]], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     FractionBox[
      SuperscriptBox[
       RowBox[{"Csc", "[", "\[Theta]", "]"}], "2"], 
      SuperscriptBox["r", "2"]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.6397588885615683`*^9, 3.6397590073126106`*^9, 
  3.639759063969716*^9, 3.639759292638543*^9, 3.6397596837647057`*^9, 
  3.6397607850782924`*^9, 3.63976084530221*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{
   TemplateBox[{
    TemplateBox[{"\"g\"", "\"\[Mu]\""}, "Superscript", SyntaxForm -> 
      SuperscriptBox],"\"\[Nu]\""},
    "Superscript"], "\[LongEqual]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "2"}], " ", "F"}]]}], "0", "0", "0"},
       {"0", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "H"}]], "0", "0"},
       {"0", "0", 
        FractionBox["1", 
         SuperscriptBox["r", "2"]], "0"},
       {"0", "0", "0", 
        FractionBox[
         RowBox[{
          SuperscriptBox["csc", "2"], "(", "\[Theta]", ")"}], 
         SuperscriptBox["r", "2"]]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.6397588885615683`*^9, 3.6397590073126106`*^9, 
  3.639759063969716*^9, 3.639759292638543*^9, 3.6397596837647057`*^9, 
  3.6397607850782924`*^9, 3.63976084531781*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{"covMetricTensorDeterminant", "\[IndentingNewLine]", 
 RowBox[{"PrintCovariantMetricTensorDeterminant", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.6397590693463287`*^9, 3.6397590836997547`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"F", "[", "r", "]"}], "+", 
       RowBox[{"H", "[", "r", "]"}]}], ")"}]}]]}], " ", 
  SuperscriptBox["r", "4"], " ", 
  SuperscriptBox[
   RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"]}]], "Output",
 CellChangeTimes->{3.6397590839181547`*^9, 3.639759292638543*^9, 
  3.6397596837647057`*^9, 3.639760785093892*^9, 3.6397608453334103`*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{"\[LeftBracketingBar]", 
    SubscriptBox[
     SubscriptBox["\<\"g\"\>", "\<\"\[Mu]\"\>"], "\<\"\[Nu]\"\>"], 
    "\[RightBracketingBar]"}], "\[LongEqual]", 
   RowBox[{
    SuperscriptBox["r", "4"], " ", 
    RowBox[{"(", 
     RowBox[{"-", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"2", " ", 
        RowBox[{"(", 
         RowBox[{"F", "+", "H"}], ")"}]}]]}], ")"}], " ", 
    RowBox[{
     SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}]}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{3.6397590839181547`*^9, 3.639759292638543*^9, 
  3.6397596837647057`*^9, 3.639760785093892*^9, 3.6397608453334103`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{"covPerfectFluidStressEnergyTensor", "\[IndentingNewLine]", 
 RowBox[{"PrintCovariantPerfectFluidStressEnergyTensor", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.639759095389779*^9, 3.6397591095650053`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      SuperscriptBox["c", "2"], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"2", " ", 
        RowBox[{"F", "[", "r", "]"}]}]], " ", 
      RowBox[{"\[Rho]", "[", "r", "]"}]}], ",", "0", ",", "0", ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"2", " ", 
        RowBox[{"H", "[", "r", "]"}]}]], " ", 
      RowBox[{"p", "[", "r", "]"}]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      RowBox[{"p", "[", "r", "]"}]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      RowBox[{"p", "[", "r", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.639759109752206*^9, 3.639759292654143*^9, 
  3.639759683780306*^9, 3.639760785093892*^9, 3.6397608453334103`*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox[
    SubscriptBox["\<\"L\"\>", "\<\"\[Mu]\"\>"], "\<\"\[Nu]\"\>"], 
   "\[LongEqual]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{
         SuperscriptBox["c", "2"], " ", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "F"}]], " ", "\[Rho]"}], "0", "0", "0"},
       {"0", 
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "H"}]], " ", "p"}], "0", "0"},
       {"0", "0", 
        RowBox[{"p", " ", 
         SuperscriptBox["r", "2"]}], "0"},
       {"0", "0", "0", 
        RowBox[{"p", " ", 
         SuperscriptBox["r", "2"], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}]}]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.639759109752206*^9, 3.639759292654143*^9, 
  3.639759683780306*^9, 3.639760785093892*^9, 3.6397608453334103`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{"covStressEnergyTensor", "\[IndentingNewLine]", 
 RowBox[{"PrintCovariantMetricTensor", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.639758908989608*^9, 3.6397589333056664`*^9}, {
   3.639758989308377*^9, 3.6397589955175886`*^9}, 3.6397590283346496`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      SuperscriptBox["c", "2"], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"2", " ", 
        RowBox[{"F", "[", "r", "]"}]}]], " ", 
      RowBox[{"\[Rho]", "[", "r", "]"}]}], ",", "0", ",", "0", ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"2", " ", 
        RowBox[{"H", "[", "r", "]"}]}]], " ", 
      RowBox[{"p", "[", "r", "]"}]}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      RowBox[{"p", "[", "r", "]"}]}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["r", "2"], " ", 
      RowBox[{"p", "[", "r", "]"}], " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.639758934194868*^9, 3.639758995767189*^9, 
  3.639759063969716*^9, 3.6397592926697426`*^9, 3.639759683795906*^9, 
  3.6397607851094923`*^9, 3.6397608453334103`*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox[
    SubscriptBox["\<\"g\"\>", "\<\"\[Mu]\"\>"], "\<\"\[Nu]\"\>"], 
   "\[LongEqual]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "F"}]]}], "0", "0", "0"},
       {"0", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"2", " ", "H"}]], "0", "0"},
       {"0", "0", 
        SuperscriptBox["r", "2"], "0"},
       {"0", "0", "0", 
        RowBox[{
         SuperscriptBox["r", "2"], " ", 
         RowBox[{
          SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}]}]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.639758934194868*^9, 3.639758995767189*^9, 
  3.639759063969716*^9, 3.6397592926697426`*^9, 3.639759683795906*^9, 
  3.6397607851094923`*^9, 3.63976084534901*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{"mixStressEnergyTensor", "\[IndentingNewLine]", 
 RowBox[{"PrintMixedStressEnergyTensor", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.6397589405922804`*^9, 3.6397589859005704`*^9}, 
   3.639759029819454*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["c", "2"]}], " ", 
      RowBox[{"\[Rho]", "[", "r", "]"}]}], ",", "0", ",", "0", ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"p", "[", "r", "]"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"p", "[", "r", "]"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{"p", "[", "r", "]"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.639758955501109*^9, 3.639758986165771*^9, 
  3.639759063985316*^9, 3.6397592926697426`*^9, 3.639759683795906*^9, 
  3.6397607851094923`*^9, 3.63976084534901*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{
   TemplateBox[{SubscriptBox["\"T\"", "\"\[Mu]\""],"\"\[Nu]\""},
    "Superscript"], "\[LongEqual]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["c", "2"]}], " ", "\[Rho]"}], "0", "0", "0"},
       {"0", "p", "0", "0"},
       {"0", "0", "p", "0"},
       {"0", "0", "0", "p"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], TraditionalForm]], "Output",
 CellChangeTimes->{3.639758955501109*^9, 3.639758986165771*^9, 
  3.639759063985316*^9, 3.6397592926697426`*^9, 3.639759683795906*^9, 
  3.6397607851094923`*^9, 3.63976084534901*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Some", " ", "printing", " ", "functions", " ", "allow", " ", "to", " ", 
    "set", " ", "the", " ", "number", " ", "of", " ", "display", " ", 
    "columns"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"christoffelSymbols", "\[IndentingNewLine]", 
   RowBox[{"PrintChristoffelSymbols", "[", "3", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6397591537588873`*^9, 3.6397591577302947`*^9}, {
  3.6397595007281485`*^9, 3.639759556117859*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{
        SuperscriptBox["F", "\[Prime]",
         MultilineFunction->None], "[", "r", "]"}], ",", "0", ",", "0"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SuperscriptBox["F", "\[Prime]",
         MultilineFunction->None], "[", "r", "]"}], ",", "0", ",", "0", ",", 
       "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{"F", "[", "r", "]"}]}], "-", 
          RowBox[{"2", " ", 
           RowBox[{"H", "[", "r", "]"}]}]}]], " ", 
        RowBox[{
         SuperscriptBox["F", "\[Prime]",
          MultilineFunction->None], "[", "r", "]"}]}], ",", "0", ",", "0", 
       ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{
        SuperscriptBox["H", "\[Prime]",
         MultilineFunction->None], "[", "r", "]"}], ",", "0", ",", "0"}], 
      "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "2"}], " ", 
           RowBox[{"H", "[", "r", "]"}]}]]}], " ", "r"}], ",", "0"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "2"}], " ", 
           RowBox[{"H", "[", "r", "]"}]}]]}], " ", "r", " ", 
        SuperscriptBox[
         RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", "r"], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "r"], ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{"Cos", "[", "\[Theta]", "]"}]}], " ", 
        RowBox[{"Sin", "[", "\[Theta]", "]"}]}]}], "}"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       FractionBox["1", "r"]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", 
       RowBox[{"Cot", "[", "\[Theta]", "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox["1", "r"], ",", 
       RowBox[{"Cot", "[", "\[Theta]", "]"}], ",", "0"}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.639759157917495*^9, 3.639759292685343*^9, {3.6397595011337495`*^9, 
   3.6397595035637546`*^9}, {3.6397595427564335`*^9, 3.639759556369459*^9}, 
   3.6397596838115063`*^9, 3.6397607851250925`*^9, 3.63976084534901*^9}],

Cell[BoxData[
 FormBox[
  InterpretationBox[GridBox[{
     {
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         TemplateBox[{"\"\[CapitalGamma]\"","\"t\""},
          "Superscript"], "\<\"t\"\>"], "\<\"r\"\>"], "\[LongEqual]", 
       FractionBox[
        RowBox[{"\[PartialD]", "F"}], 
        RowBox[{"\[PartialD]", "r"}],
        MultilineFunction->None]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         TemplateBox[{"\"\[CapitalGamma]\"","\"t\""},
          "Superscript"], "\<\"r\"\>"], "\<\"t\"\>"], "\[LongEqual]", 
       FractionBox[
        RowBox[{"\[PartialD]", "F"}], 
        RowBox[{"\[PartialD]", "r"}],
        MultilineFunction->None]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         TemplateBox[{"\"\[CapitalGamma]\"","\"r\""},
          "Superscript"], "\<\"t\"\>"], "\<\"t\"\>"], "\[LongEqual]", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"2", " ", "F"}], "-", 
          RowBox[{"2", " ", "H"}]}]], " ", 
        FractionBox[
         RowBox[{"\[PartialD]", "F"}], 
         RowBox[{"\[PartialD]", "r"}],
         MultilineFunction->None]}]}]},
     {
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         TemplateBox[{"\"\[CapitalGamma]\"","\"r\""},
          "Superscript"], "\<\"r\"\>"], "\<\"r\"\>"], "\[LongEqual]", 
       FractionBox[
        RowBox[{"\[PartialD]", "H"}], 
        RowBox[{"\[PartialD]", "r"}],
        MultilineFunction->None]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         TemplateBox[{"\"\[CapitalGamma]\"","\"r\""},
          "Superscript"], "\<\"\[Theta]\"\>"], "\<\"\[Theta]\"\>"], 
       "\[LongEqual]", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "2"}], " ", "H"}]]}], " ", "r"}]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         TemplateBox[{"\"\[CapitalGamma]\"","\"r\""},
          "Superscript"], "\<\"\[CurlyPhi]\"\>"], "\<\"\[CurlyPhi]\"\>"], 
       "\[LongEqual]", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "2"}], " ", "H"}]]}], " ", "r", " ", 
        RowBox[{
         SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}]}]}]},
     {
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         TemplateBox[{"\"\[CapitalGamma]\"","\"\[Theta]\""},
          "Superscript"], "\<\"r\"\>"], "\<\"\[Theta]\"\>"], "\[LongEqual]", 
       FractionBox["1", "r"]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         TemplateBox[{"\"\[CapitalGamma]\"","\"\[Theta]\""},
          "Superscript"], "\<\"\[Theta]\"\>"], "\<\"r\"\>"], "\[LongEqual]", 
       FractionBox["1", "r"]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         TemplateBox[{"\"\[CapitalGamma]\"","\"\[Theta]\""},
          "Superscript"], "\<\"\[CurlyPhi]\"\>"], "\<\"\[CurlyPhi]\"\>"], 
       "\[LongEqual]", 
       RowBox[{
        RowBox[{"sin", "(", "\[Theta]", ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"-", 
          RowBox[{"cos", "(", "\[Theta]", ")"}]}], ")"}]}]}]},
     {
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         TemplateBox[{"\"\[CapitalGamma]\"","\"\[CurlyPhi]\""},
          "Superscript"], "\<\"r\"\>"], "\<\"\[CurlyPhi]\"\>"], 
       "\[LongEqual]", 
       FractionBox["1", "r"]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         TemplateBox[{"\"\[CapitalGamma]\"","\"\[CurlyPhi]\""},
          "Superscript"], "\<\"\[Theta]\"\>"], "\<\"\[CurlyPhi]\"\>"], 
       "\[LongEqual]", 
       RowBox[{"cot", "(", "\[Theta]", ")"}]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         TemplateBox[{"\"\[CapitalGamma]\"","\"\[CurlyPhi]\""},
          "Superscript"], "\<\"\[CurlyPhi]\"\>"], "\<\"r\"\>"], 
       "\[LongEqual]", 
       FractionBox["1", "r"]}]},
     {
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         TemplateBox[{"\"\[CapitalGamma]\"","\"\[CurlyPhi]\""},
          "Superscript"], "\<\"\[CurlyPhi]\"\>"], "\<\"\[Theta]\"\>"], 
       "\[LongEqual]", 
       RowBox[{"cot", "(", "\[Theta]", ")"}]}], "\<\"\"\>", "\<\"\"\>"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[3.5]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[2.]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}],
   TableForm[{{Subscript[
        Subscript[
         Superscript["\[CapitalGamma]", "t"], "t"], "r"] == Defer[
        D[$CellContext`F, {$CellContext`r}]], Subscript[
        Subscript[
         Superscript["\[CapitalGamma]", "t"], "r"], "t"] == Defer[
        D[$CellContext`F, {$CellContext`r}]], Subscript[
        Subscript[
         Superscript["\[CapitalGamma]", "r"], "t"], "t"] == 
      E^(2 $CellContext`F - 2 $CellContext`H) Defer[
         D[$CellContext`F, {$CellContext`r}]]}, {Subscript[
        Subscript[
         Superscript["\[CapitalGamma]", "r"], "r"], "r"] == Defer[
        D[$CellContext`H, {$CellContext`r}]], Subscript[
        Subscript[
         Superscript["\[CapitalGamma]", "r"], "\[Theta]"], "\[Theta]"] == -
       E^((-2) $CellContext`H) $CellContext`r, Subscript[
        Subscript[
         Superscript["\[CapitalGamma]", "r"], "\[CurlyPhi]"], 
        "\[CurlyPhi]"] == -E^((-2) $CellContext`H) $CellContext`r 
       Sin[$CellContext`\[Theta]]^2}, {Subscript[
        Subscript[
         Superscript["\[CapitalGamma]", "\[Theta]"], "r"], 
        "\[Theta]"] == $CellContext`r^(-1), Subscript[
        Subscript[
         Superscript["\[CapitalGamma]", "\[Theta]"], "\[Theta]"], 
        "r"] == $CellContext`r^(-1), Subscript[
        Subscript[
         Superscript["\[CapitalGamma]", "\[Theta]"], "\[CurlyPhi]"], 
        "\[CurlyPhi]"] == -Cos[$CellContext`\[Theta]] 
       Sin[$CellContext`\[Theta]]}, {Subscript[
        Subscript[
         Superscript["\[CapitalGamma]", "\[CurlyPhi]"], "r"], 
        "\[CurlyPhi]"] == $CellContext`r^(-1), Subscript[
        Subscript[
         Superscript["\[CapitalGamma]", "\[CurlyPhi]"], "\[Theta]"], 
        "\[CurlyPhi]"] == Cot[$CellContext`\[Theta]], Subscript[
        Subscript[
         Superscript["\[CapitalGamma]", "\[CurlyPhi]"], "\[CurlyPhi]"], 
        "r"] == $CellContext`r^(-1)}, {Subscript[
        Subscript[
         Superscript["\[CapitalGamma]", "\[CurlyPhi]"], "\[CurlyPhi]"], 
        "\[Theta]"] == Cot[$CellContext`\[Theta]]}}, TableSpacing -> {5, 5}]],
   TraditionalForm]], "Output",
 CellChangeTimes->{
  3.639759157917495*^9, 3.639759292685343*^9, {3.6397595011337495`*^9, 
   3.6397595035637546`*^9}, {3.6397595427564335`*^9, 3.639759556369459*^9}, 
   3.6397596838115063`*^9, 3.6397607851250925`*^9, 3.63976084538021*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"mixRiemannTensor", ";"}], "\[IndentingNewLine]", 
 RowBox[{"PrintMixedRiemannTensor", "[", "3", "]"}]}], "Input",
 CellChangeTimes->{{3.6397591318180456`*^9, 3.6397591395908594`*^9}, {
  3.639759690053918*^9, 3.6397596994467382`*^9}}],

Cell[BoxData[
 FormBox[
  TagBox[GridBox[{
     {
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"t\""},
           "Superscript"], "\<\"r\"\>"], "\<\"t\"\>"], "\<\"r\"\>"], 
       "\[LongEqual]", 
       RowBox[{
        RowBox[{
         FractionBox[
          RowBox[{"\[PartialD]", "F"}], 
          RowBox[{"\[PartialD]", "r"}],
          MultilineFunction->None], " ", 
         RowBox[{"(", 
          RowBox[{
           FractionBox[
            RowBox[{"\[PartialD]", "H"}], 
            RowBox[{"\[PartialD]", "r"}],
            MultilineFunction->None], "-", 
           FractionBox[
            RowBox[{"\[PartialD]", "F"}], 
            RowBox[{"\[PartialD]", "r"}],
            MultilineFunction->None]}], ")"}]}], "-", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[PartialD]", "2"], "F"}], 
         RowBox[{"\[PartialD]", 
          SuperscriptBox["r", "2"]}],
         MultilineFunction->None]}]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"t\""},
           "Superscript"], "\<\"r\"\>"], "\<\"r\"\>"], "\<\"t\"\>"], 
       "\[LongEqual]", 
       RowBox[{
        RowBox[{"-", 
         RowBox[{
          FractionBox[
           RowBox[{"\[PartialD]", "F"}], 
           RowBox[{"\[PartialD]", "r"}],
           MultilineFunction->None], " ", 
          FractionBox[
           RowBox[{"\[PartialD]", "H"}], 
           RowBox[{"\[PartialD]", "r"}],
           MultilineFunction->None]}]}], "+", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[PartialD]", "2"], "F"}], 
         RowBox[{"\[PartialD]", 
          SuperscriptBox["r", "2"]}],
         MultilineFunction->None], "+", 
        SuperscriptBox[
         RowBox[{"(", 
          FractionBox[
           RowBox[{"\[PartialD]", "F"}], 
           RowBox[{"\[PartialD]", "r"}],
           MultilineFunction->None], ")"}], "2"]}]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"t\""},
           
           "Superscript"], "\<\"\[Theta]\"\>"], "\<\"t\"\>"], "\<\"\[Theta]\"\
\>"], "\[LongEqual]", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "2"}], " ", "H"}]]}], " ", "r", " ", 
        FractionBox[
         RowBox[{"\[PartialD]", "F"}], 
         RowBox[{"\[PartialD]", "r"}],
         MultilineFunction->None]}]}]},
     {
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"t\""},
           
           "Superscript"], "\<\"\[Theta]\"\>"], "\<\"\[Theta]\"\>"], "\<\"t\"\
\>"], "\[LongEqual]", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "H"}]], " ", "r", " ", 
        FractionBox[
         RowBox[{"\[PartialD]", "F"}], 
         RowBox[{"\[PartialD]", "r"}],
         MultilineFunction->None]}]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"t\""},
           
           "Superscript"], "\<\"\[CurlyPhi]\"\>"], "\<\"t\"\>"], "\<\"\
\[CurlyPhi]\"\>"], "\[LongEqual]", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "2"}], " ", "H"}]]}], " ", "r", " ", 
        RowBox[{
         SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
        FractionBox[
         RowBox[{"\[PartialD]", "F"}], 
         RowBox[{"\[PartialD]", "r"}],
         MultilineFunction->None]}]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"t\""},
           
           "Superscript"], "\<\"\[CurlyPhi]\"\>"], "\<\"\[CurlyPhi]\"\>"], \
"\<\"t\"\>"], "\[LongEqual]", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "H"}]], " ", "r", " ", 
        RowBox[{
         SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
        FractionBox[
         RowBox[{"\[PartialD]", "F"}], 
         RowBox[{"\[PartialD]", "r"}],
         MultilineFunction->None]}]}]},
     {
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"r\""},
           "Superscript"], "\<\"t\"\>"], "\<\"t\"\>"], "\<\"r\"\>"], 
       "\[LongEqual]", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"2", " ", "F"}], "-", 
           RowBox[{"2", " ", "H"}]}]]}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{
            FractionBox[
             RowBox[{"\[PartialD]", "F"}], 
             RowBox[{"\[PartialD]", "r"}],
             MultilineFunction->None], " ", 
            FractionBox[
             RowBox[{"\[PartialD]", "H"}], 
             RowBox[{"\[PartialD]", "r"}],
             MultilineFunction->None]}]}], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[PartialD]", "2"], "F"}], 
           RowBox[{"\[PartialD]", 
            SuperscriptBox["r", "2"]}],
           MultilineFunction->None], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            FractionBox[
             RowBox[{"\[PartialD]", "F"}], 
             RowBox[{"\[PartialD]", "r"}],
             MultilineFunction->None], ")"}], "2"]}], ")"}]}]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"r\""},
           "Superscript"], "\<\"t\"\>"], "\<\"r\"\>"], "\<\"t\"\>"], 
       "\[LongEqual]", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"2", " ", "F"}], "-", 
          RowBox[{"2", " ", "H"}]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", 
           RowBox[{
            FractionBox[
             RowBox[{"\[PartialD]", "F"}], 
             RowBox[{"\[PartialD]", "r"}],
             MultilineFunction->None], " ", 
            FractionBox[
             RowBox[{"\[PartialD]", "H"}], 
             RowBox[{"\[PartialD]", "r"}],
             MultilineFunction->None]}]}], "+", 
          FractionBox[
           RowBox[{
            SuperscriptBox["\[PartialD]", "2"], "F"}], 
           RowBox[{"\[PartialD]", 
            SuperscriptBox["r", "2"]}],
           MultilineFunction->None], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            FractionBox[
             RowBox[{"\[PartialD]", "F"}], 
             RowBox[{"\[PartialD]", "r"}],
             MultilineFunction->None], ")"}], "2"]}], ")"}]}]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"r\""},
           
           "Superscript"], "\<\"\[Theta]\"\>"], "\<\"r\"\>"], "\<\"\[Theta]\"\
\>"], "\[LongEqual]", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "H"}]], " ", "r", " ", 
        FractionBox[
         RowBox[{"\[PartialD]", "H"}], 
         RowBox[{"\[PartialD]", "r"}],
         MultilineFunction->None]}]}]},
     {
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"r\""},
           
           "Superscript"], "\<\"\[Theta]\"\>"], "\<\"\[Theta]\"\>"], "\<\"r\"\
\>"], "\[LongEqual]", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "2"}], " ", "H"}]]}], " ", "r", " ", 
        FractionBox[
         RowBox[{"\[PartialD]", "H"}], 
         RowBox[{"\[PartialD]", "r"}],
         MultilineFunction->None]}]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"r\""},
           
           "Superscript"], "\<\"\[CurlyPhi]\"\>"], "\<\"r\"\>"], "\<\"\
\[CurlyPhi]\"\>"], "\[LongEqual]", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "H"}]], " ", "r", " ", 
        RowBox[{
         SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
        FractionBox[
         RowBox[{"\[PartialD]", "H"}], 
         RowBox[{"\[PartialD]", "r"}],
         MultilineFunction->None]}]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"r\""},
           
           "Superscript"], "\<\"\[CurlyPhi]\"\>"], "\<\"\[CurlyPhi]\"\>"], \
"\<\"r\"\>"], "\[LongEqual]", 
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "2"}], " ", "H"}]]}], " ", "r", " ", 
        RowBox[{
         SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
        FractionBox[
         RowBox[{"\[PartialD]", "H"}], 
         RowBox[{"\[PartialD]", "r"}],
         MultilineFunction->None]}]}]},
     {
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"\[Theta]\""},
           "Superscript"], "\<\"t\"\>"], "\<\"t\"\>"], "\<\"\[Theta]\"\>"], 
       "\[LongEqual]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"2", " ", "F"}], "-", 
            RowBox[{"2", " ", "H"}]}]], " ", 
          FractionBox[
           RowBox[{"\[PartialD]", "F"}], 
           RowBox[{"\[PartialD]", "r"}],
           MultilineFunction->None]}], "r"]}]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"\[Theta]\""},
           "Superscript"], "\<\"t\"\>"], "\<\"\[Theta]\"\>"], "\<\"t\"\>"], 
       "\[LongEqual]", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"2", " ", "F"}], "-", 
           RowBox[{"2", " ", "H"}]}]], " ", 
         FractionBox[
          RowBox[{"\[PartialD]", "F"}], 
          RowBox[{"\[PartialD]", "r"}],
          MultilineFunction->None]}], "r"]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"\[Theta]\""},
           "Superscript"], "\<\"r\"\>"], "\<\"r\"\>"], "\<\"\[Theta]\"\>"], 
       "\[LongEqual]", 
       RowBox[{"-", 
        FractionBox[
         FractionBox[
          RowBox[{"\[PartialD]", "H"}], 
          RowBox[{"\[PartialD]", "r"}],
          MultilineFunction->None], "r"]}]}]},
     {
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"\[Theta]\""},
           "Superscript"], "\<\"r\"\>"], "\<\"\[Theta]\"\>"], "\<\"r\"\>"], 
       "\[LongEqual]", 
       FractionBox[
        FractionBox[
         RowBox[{"\[PartialD]", "H"}], 
         RowBox[{"\[PartialD]", "r"}],
         MultilineFunction->None], "r"]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"\[Theta]\""},
           
           "Superscript"], "\<\"\[CurlyPhi]\"\>"], "\<\"\[Theta]\"\>"], "\<\"\
\[CurlyPhi]\"\>"], "\[LongEqual]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "-", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "2"}], " ", "H"}]]}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}]}]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"\[Theta]\""},
           
           "Superscript"], "\<\"\[CurlyPhi]\"\>"], "\<\"\[CurlyPhi]\"\>"], \
"\<\"\[Theta]\"\>"], "\[LongEqual]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "2"}], " ", "H"}]], "-", "1"}], ")"}], " ", 
        RowBox[{
         SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}]}]}]},
     {
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"\[CurlyPhi]\""},
           "Superscript"], "\<\"t\"\>"], "\<\"t\"\>"], "\<\"\[CurlyPhi]\"\>"],
        "\[LongEqual]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"2", " ", "F"}], "-", 
            RowBox[{"2", " ", "H"}]}]], " ", 
          FractionBox[
           RowBox[{"\[PartialD]", "F"}], 
           RowBox[{"\[PartialD]", "r"}],
           MultilineFunction->None]}], "r"]}]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"\[CurlyPhi]\""},
           "Superscript"], "\<\"t\"\>"], "\<\"\[CurlyPhi]\"\>"], "\<\"t\"\>"],
        "\[LongEqual]", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"2", " ", "F"}], "-", 
           RowBox[{"2", " ", "H"}]}]], " ", 
         FractionBox[
          RowBox[{"\[PartialD]", "F"}], 
          RowBox[{"\[PartialD]", "r"}],
          MultilineFunction->None]}], "r"]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"\[CurlyPhi]\""},
           "Superscript"], "\<\"r\"\>"], "\<\"r\"\>"], "\<\"\[CurlyPhi]\"\>"],
        "\[LongEqual]", 
       RowBox[{"-", 
        FractionBox[
         FractionBox[
          RowBox[{"\[PartialD]", "H"}], 
          RowBox[{"\[PartialD]", "r"}],
          MultilineFunction->None], "r"]}]}]},
     {
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"\[CurlyPhi]\""},
           "Superscript"], "\<\"r\"\>"], "\<\"\[CurlyPhi]\"\>"], "\<\"r\"\>"],
        "\[LongEqual]", 
       FractionBox[
        FractionBox[
         RowBox[{"\[PartialD]", "H"}], 
         RowBox[{"\[PartialD]", "r"}],
         MultilineFunction->None], "r"]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"\[CurlyPhi]\""},
           
           "Superscript"], "\<\"\[Theta]\"\>"], "\<\"\[Theta]\"\>"], "\<\"\
\[CurlyPhi]\"\>"], "\[LongEqual]", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "H"}]], "-", "1"}]}], 
      RowBox[{
       SubscriptBox[
        SubscriptBox[
         SubscriptBox[
          TemplateBox[{"\"R\"","\"\[CurlyPhi]\""},
           
           "Superscript"], "\<\"\[Theta]\"\>"], "\<\"\[CurlyPhi]\"\>"], "\<\"\
\[Theta]\"\>"], "\[LongEqual]", 
       RowBox[{"1", "-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "H"}]]}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[3.5]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[2.]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}],
   Function[BoxForm`e$, 
    TableForm[BoxForm`e$, TableSpacing -> {5, 5}]]], 
  TraditionalForm]], "Output",
 CellChangeTimes->{
  3.6397591397936597`*^9, 3.6397592927165427`*^9, {3.639759683858306*^9, 
   3.639759699821139*^9}, 3.6397607852030926`*^9, 3.6397608454426107`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{"covEinsteinTensor", "\[IndentingNewLine]", 
 RowBox[{"PrintCovariantEinsteinTensor", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.63975916580091*^9, 3.6397591716685205`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"2", " ", 
          RowBox[{"F", "[", "r", "]"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"H", "[", "r", "]"}]}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", 
           RowBox[{"H", "[", "r", "]"}]}]], "+", 
         RowBox[{"2", " ", "r", " ", 
          RowBox[{
           SuperscriptBox["H", "\[Prime]",
            MultilineFunction->None], "[", "r", "]"}]}]}], ")"}]}], 
      SuperscriptBox["r", "2"]], ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox[
      RowBox[{"1", "-", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{"2", " ", 
         RowBox[{"H", "[", "r", "]"}]}]], "+", 
       RowBox[{"2", " ", "r", " ", 
        RowBox[{
         SuperscriptBox["F", "\[Prime]",
          MultilineFunction->None], "[", "r", "]"}]}]}], 
      SuperscriptBox["r", "2"]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"H", "[", "r", "]"}]}]], " ", "r", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"r", " ", 
            RowBox[{
             SuperscriptBox["F", "\[Prime]",
              MultilineFunction->None], "[", "r", "]"}]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SuperscriptBox["F", "\[Prime]",
             MultilineFunction->None], "[", "r", "]"}], "-", 
           RowBox[{
            SuperscriptBox["H", "\[Prime]",
             MultilineFunction->None], "[", "r", "]"}]}], ")"}]}], "+", 
        RowBox[{"r", " ", 
         RowBox[{
          SuperscriptBox["F", "\[Prime]\[Prime]",
           MultilineFunction->None], "[", "r", "]"}]}]}], ")"}]}], ",", "0"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{
        RowBox[{"-", "2"}], " ", 
        RowBox[{"H", "[", "r", "]"}]}]], " ", "r", " ", 
      SuperscriptBox[
       RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"r", " ", 
            RowBox[{
             SuperscriptBox["F", "\[Prime]",
              MultilineFunction->None], "[", "r", "]"}]}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            SuperscriptBox["F", "\[Prime]",
             MultilineFunction->None], "[", "r", "]"}], "-", 
           RowBox[{
            SuperscriptBox["H", "\[Prime]",
             MultilineFunction->None], "[", "r", "]"}]}], ")"}]}], "+", 
        RowBox[{"r", " ", 
         RowBox[{
          SuperscriptBox["F", "\[Prime]\[Prime]",
           MultilineFunction->None], "[", "r", "]"}]}]}], ")"}]}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.6397591720197215`*^9, 3.6397592927945433`*^9, 
  3.6397596839207063`*^9, 3.639760785218693*^9, 3.6397608454582105`*^9}],

Cell[BoxData[
 FormBox[
  TagBox[GridBox[{
     {
      RowBox[{
       SubscriptBox[
        SubscriptBox["\<\"G\"\>", "\<\"t\"\>"], "\<\"t\"\>"], "\[LongEqual]", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"2", " ", "F"}], "-", 
           RowBox[{"2", " ", "H"}]}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"2", " ", "r", " ", 
            FractionBox[
             RowBox[{"\[PartialD]", "H"}], 
             RowBox[{"\[PartialD]", "r"}],
             MultilineFunction->None]}], "+", 
           SuperscriptBox["\[ExponentialE]", 
            RowBox[{"2", " ", "H"}]], "-", "1"}], ")"}]}], 
        SuperscriptBox["r", "2"]]}]},
     {
      RowBox[{
       SubscriptBox[
        SubscriptBox["\<\"G\"\>", "\<\"r\"\>"], "\<\"r\"\>"], "\[LongEqual]", 
       FractionBox[
        RowBox[{
         RowBox[{"2", " ", "r", " ", 
          FractionBox[
           RowBox[{"\[PartialD]", "F"}], 
           RowBox[{"\[PartialD]", "r"}],
           MultilineFunction->None]}], "-", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", "H"}]], "+", "1"}], 
        SuperscriptBox["r", "2"]]}]},
     {
      RowBox[{
       SubscriptBox[
        SubscriptBox["\<\"G\"\>", "\<\"\[Theta]\"\>"], "\<\"\[Theta]\"\>"], 
       "\[LongEqual]", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "H"}]], " ", "r", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"r", " ", 
              FractionBox[
               RowBox[{"\[PartialD]", "F"}], 
               RowBox[{"\[PartialD]", "r"}],
               MultilineFunction->None]}], "+", "1"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             FractionBox[
              RowBox[{"\[PartialD]", "F"}], 
              RowBox[{"\[PartialD]", "r"}],
              MultilineFunction->None], "-", 
             FractionBox[
              RowBox[{"\[PartialD]", "H"}], 
              RowBox[{"\[PartialD]", "r"}],
              MultilineFunction->None]}], ")"}]}], "+", 
          RowBox[{"r", " ", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[PartialD]", "2"], "F"}], 
            RowBox[{"\[PartialD]", 
             SuperscriptBox["r", "2"]}],
            MultilineFunction->None]}]}], ")"}]}]}]},
     {
      RowBox[{
       SubscriptBox[
        SubscriptBox["\<\"G\"\>", "\<\"\[CurlyPhi]\"\>"], \
"\<\"\[CurlyPhi]\"\>"], "\[LongEqual]", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "2"}], " ", "H"}]], " ", "r", " ", 
        RowBox[{
         SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"r", " ", 
              FractionBox[
               RowBox[{"\[PartialD]", "F"}], 
               RowBox[{"\[PartialD]", "r"}],
               MultilineFunction->None]}], "+", "1"}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             FractionBox[
              RowBox[{"\[PartialD]", "F"}], 
              RowBox[{"\[PartialD]", "r"}],
              MultilineFunction->None], "-", 
             FractionBox[
              RowBox[{"\[PartialD]", "H"}], 
              RowBox[{"\[PartialD]", "r"}],
              MultilineFunction->None]}], ")"}]}], "+", 
          RowBox[{"r", " ", 
           FractionBox[
            RowBox[{
             SuperscriptBox["\[PartialD]", "2"], "F"}], 
            RowBox[{"\[PartialD]", 
             SuperscriptBox["r", "2"]}],
            MultilineFunction->None]}]}], ")"}]}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[3.5]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[2.]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}],
   Function[BoxForm`e$, 
    TableForm[BoxForm`e$, TableSpacing -> {5, 5}]]], 
  TraditionalForm]], "Output",
 CellChangeTimes->{3.6397591720197215`*^9, 3.6397592927945433`*^9, 
  3.6397596839207063`*^9, 3.639760785218693*^9, 3.63976084547381*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{"mixEinsteinTensor", "\[IndentingNewLine]", 
 RowBox[{"PrintMixedEinsteinTensor", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.6397591754849277`*^9, 3.6397591843693438`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "2"}], " ", 
          RowBox[{"H", "[", "r", "]"}]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", 
            RowBox[{"H", "[", "r", "]"}]}]], "+", 
          RowBox[{"2", " ", "r", " ", 
           RowBox[{
            SuperscriptBox["H", "\[Prime]",
             MultilineFunction->None], "[", "r", "]"}]}]}], ")"}]}], 
       SuperscriptBox["r", "2"]]}], ",", "0", ",", "0", ",", "0"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", 
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"-", "2"}], " ", 
          RowBox[{"H", "[", "r", "]"}]}]], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"2", " ", "r", " ", 
           RowBox[{
            SuperscriptBox["F", "\[Prime]",
             MultilineFunction->None], "[", "r", "]"}]}]}], ")"}]}]}], 
      SuperscriptBox["r", "2"]], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     FractionBox[
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         RowBox[{"H", "[", "r", "]"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"r", " ", 
             RowBox[{
              SuperscriptBox["F", "\[Prime]",
               MultilineFunction->None], "[", "r", "]"}]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SuperscriptBox["F", "\[Prime]",
              MultilineFunction->None], "[", "r", "]"}], "-", 
            RowBox[{
             SuperscriptBox["H", "\[Prime]",
              MultilineFunction->None], "[", "r", "]"}]}], ")"}]}], "+", 
         RowBox[{"r", " ", 
          RowBox[{
           SuperscriptBox["F", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "r", "]"}]}]}], ")"}]}], "r"], ",",
      "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     FractionBox[
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         RowBox[{"H", "[", "r", "]"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"r", " ", 
             RowBox[{
              SuperscriptBox["F", "\[Prime]",
               MultilineFunction->None], "[", "r", "]"}]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SuperscriptBox["F", "\[Prime]",
              MultilineFunction->None], "[", "r", "]"}], "-", 
            RowBox[{
             SuperscriptBox["H", "\[Prime]",
              MultilineFunction->None], "[", "r", "]"}]}], ")"}]}], "+", 
         RowBox[{"r", " ", 
          RowBox[{
           SuperscriptBox["F", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "r", "]"}]}]}], ")"}]}], "r"]}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.639759184572144*^9, 3.639759292825743*^9, 
  3.639759683951906*^9, 3.6397607852498927`*^9, 3.6397608454894104`*^9}],

Cell[BoxData[
 FormBox[
  TagBox[GridBox[{
     {
      RowBox[{
       TemplateBox[{SubscriptBox["\"G\"", "\"t\""],"\"t\""},
        "Superscript"], "\[LongEqual]", 
       RowBox[{"-", 
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "2"}], " ", "H"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "r", " ", 
             FractionBox[
              RowBox[{"\[PartialD]", "H"}], 
              RowBox[{"\[PartialD]", "r"}],
              MultilineFunction->None]}], "+", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "H"}]], "-", "1"}], ")"}]}], 
         SuperscriptBox["r", "2"]]}]}]},
     {
      RowBox[{
       TemplateBox[{SubscriptBox["\"G\"", "\"r\""],"\"r\""},
        "Superscript"], "\[LongEqual]", 
       FractionBox[
        RowBox[{
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"-", "2"}], " ", "H"}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "r", " ", 
             FractionBox[
              RowBox[{"\[PartialD]", "F"}], 
              RowBox[{"\[PartialD]", "r"}],
              MultilineFunction->None]}], "+", "1"}], ")"}]}], "-", "1"}], 
        SuperscriptBox["r", "2"]]}]},
     {
      RowBox[{
       TemplateBox[{SubscriptBox["\"G\"", "\"\[Theta]\""],"\"\[Theta]\""},
        "Superscript"], "\[LongEqual]", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "2"}], " ", "H"}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"r", " ", 
               FractionBox[
                RowBox[{"\[PartialD]", "F"}], 
                RowBox[{"\[PartialD]", "r"}],
                MultilineFunction->None]}], "+", "1"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              FractionBox[
               RowBox[{"\[PartialD]", "F"}], 
               RowBox[{"\[PartialD]", "r"}],
               MultilineFunction->None], "-", 
              FractionBox[
               RowBox[{"\[PartialD]", "H"}], 
               RowBox[{"\[PartialD]", "r"}],
               MultilineFunction->None]}], ")"}]}], "+", 
           RowBox[{"r", " ", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[PartialD]", "2"], "F"}], 
             RowBox[{"\[PartialD]", 
              SuperscriptBox["r", "2"]}],
             MultilineFunction->None]}]}], ")"}]}], "r"]}]},
     {
      RowBox[{
       TemplateBox[{
        SubscriptBox["\"G\"", "\"\[CurlyPhi]\""],"\"\[CurlyPhi]\""},
        "Superscript"], "\[LongEqual]", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "2"}], " ", "H"}]], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"r", " ", 
               FractionBox[
                RowBox[{"\[PartialD]", "F"}], 
                RowBox[{"\[PartialD]", "r"}],
                MultilineFunction->None]}], "+", "1"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              FractionBox[
               RowBox[{"\[PartialD]", "F"}], 
               RowBox[{"\[PartialD]", "r"}],
               MultilineFunction->None], "-", 
              FractionBox[
               RowBox[{"\[PartialD]", "H"}], 
               RowBox[{"\[PartialD]", "r"}],
               MultilineFunction->None]}], ")"}]}], "+", 
           RowBox[{"r", " ", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[PartialD]", "2"], "F"}], 
             RowBox[{"\[PartialD]", 
              SuperscriptBox["r", "2"]}],
             MultilineFunction->None]}]}], ")"}]}], "r"]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[3.5]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[2.]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}],
   Function[BoxForm`e$, 
    TableForm[BoxForm`e$, TableSpacing -> {5, 5}]]], 
  TraditionalForm]], "Output",
 CellChangeTimes->{3.639759184572144*^9, 3.639759292825743*^9, 
  3.639759683951906*^9, 3.6397607852498927`*^9, 3.6397608455050106`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{"covFieldEquations", "\[IndentingNewLine]", 
 RowBox[{"PrintCovariantFieldEquations", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.6397591887393513`*^9, 3.639759199725771*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{
          RowBox[{"2", " ", 
           RowBox[{"F", "[", "r", "]"}]}], "-", 
          RowBox[{"2", " ", 
           RowBox[{"H", "[", "r", "]"}]}]}]], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", 
            RowBox[{"H", "[", "r", "]"}]}]], "+", 
          RowBox[{"2", " ", "r", " ", 
           RowBox[{
            SuperscriptBox["H", "\[Prime]",
             MultilineFunction->None], "[", "r", "]"}]}]}], ")"}]}], 
       SuperscriptBox["r", "2"]], "\[Equal]", 
      FractionBox[
       RowBox[{"8", " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"2", " ", 
          RowBox[{"F", "[", "r", "]"}]}]], " ", "G", " ", "\[Pi]", " ", 
        RowBox[{"\[Rho]", "[", "r", "]"}]}], 
       SuperscriptBox["c", "2"]]}], ",", "True", ",", "True", ",", "True"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"True", ",", 
     RowBox[{
      FractionBox[
       RowBox[{"1", "-", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"2", " ", 
          RowBox[{"H", "[", "r", "]"}]}]], "+", 
        RowBox[{"2", " ", "r", " ", 
         RowBox[{
          SuperscriptBox["F", "\[Prime]",
           MultilineFunction->None], "[", "r", "]"}]}]}], 
       SuperscriptBox["r", "2"]], "\[Equal]", 
      FractionBox[
       RowBox[{"8", " ", 
        SuperscriptBox["\[ExponentialE]", 
         RowBox[{"2", " ", 
          RowBox[{"H", "[", "r", "]"}]}]], " ", "G", " ", "\[Pi]", " ", 
        RowBox[{"p", "[", "r", "]"}]}], 
       SuperscriptBox["c", "4"]]}], ",", "True", ",", "True"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"True", ",", "True", ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         RowBox[{"H", "[", "r", "]"}]}]], " ", "r", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"r", " ", 
             RowBox[{
              SuperscriptBox["F", "\[Prime]",
               MultilineFunction->None], "[", "r", "]"}]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SuperscriptBox["F", "\[Prime]",
              MultilineFunction->None], "[", "r", "]"}], "-", 
            RowBox[{
             SuperscriptBox["H", "\[Prime]",
              MultilineFunction->None], "[", "r", "]"}]}], ")"}]}], "+", 
         RowBox[{"r", " ", 
          RowBox[{
           SuperscriptBox["F", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "r", "]"}]}]}], ")"}]}], 
      "\[Equal]", 
      FractionBox[
       RowBox[{"8", " ", "G", " ", "\[Pi]", " ", 
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"p", "[", "r", "]"}]}], 
       SuperscriptBox["c", "4"]]}], ",", "True"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"True", ",", "True", ",", "True", ",", 
     RowBox[{
      RowBox[{
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         RowBox[{"H", "[", "r", "]"}]}]], " ", "r", " ", 
       SuperscriptBox[
        RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"r", " ", 
             RowBox[{
              SuperscriptBox["F", "\[Prime]",
               MultilineFunction->None], "[", "r", "]"}]}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{
             SuperscriptBox["F", "\[Prime]",
              MultilineFunction->None], "[", "r", "]"}], "-", 
            RowBox[{
             SuperscriptBox["H", "\[Prime]",
              MultilineFunction->None], "[", "r", "]"}]}], ")"}]}], "+", 
         RowBox[{"r", " ", 
          RowBox[{
           SuperscriptBox["F", "\[Prime]\[Prime]",
            MultilineFunction->None], "[", "r", "]"}]}]}], ")"}]}], 
      "\[Equal]", 
      FractionBox[
       RowBox[{"8", " ", "G", " ", "\[Pi]", " ", 
        SuperscriptBox["r", "2"], " ", 
        RowBox[{"p", "[", "r", "]"}], " ", 
        SuperscriptBox[
         RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"]}], 
       SuperscriptBox["c", "4"]]}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.639759190599755*^9, 3.6397591999129715`*^9}, 
   3.639759292856943*^9, 3.6397596839831066`*^9, 3.6397607852810926`*^9, 
   3.6397608455050106`*^9}],

Cell[BoxData[
 FormBox[
  TagBox[GridBox[{
     {
      RowBox[{"\<\"(tt)\"\>", "\[DoubleRightArrow]", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{
            RowBox[{"2", " ", "F"}], "-", 
            RowBox[{"2", " ", "H"}]}]], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "r", " ", 
             FractionBox[
              RowBox[{"\[PartialD]", "H"}], 
              RowBox[{"\[PartialD]", "r"}],
              MultilineFunction->None]}], "+", 
            SuperscriptBox["\[ExponentialE]", 
             RowBox[{"2", " ", "H"}]], "-", "1"}], ")"}]}], 
         SuperscriptBox["r", "2"]], "\[LongEqual]", 
        FractionBox[
         RowBox[{"8", " ", "\[Pi]", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "F"}]], " ", "G", " ", "\[Rho]"}], 
         SuperscriptBox["c", "2"]]}]}]},
     {
      RowBox[{"\<\"(rr)\"\>", "\[DoubleRightArrow]", 
       RowBox[{
        FractionBox[
         RowBox[{
          RowBox[{"2", " ", "r", " ", 
           FractionBox[
            RowBox[{"\[PartialD]", "F"}], 
            RowBox[{"\[PartialD]", "r"}],
            MultilineFunction->None]}], "-", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "H"}]], "+", "1"}], 
         SuperscriptBox["r", "2"]], "\[LongEqual]", 
        FractionBox[
         RowBox[{"8", " ", "\[Pi]", " ", "G", " ", 
          SuperscriptBox["\[ExponentialE]", 
           RowBox[{"2", " ", "H"}]], " ", "p"}], 
         SuperscriptBox["c", "4"]]}]}]},
     {
      RowBox[{"\<\"(\[Theta]\[Theta]) (\[CurlyPhi]\[CurlyPhi])\"\>", 
       "\[DoubleRightArrow]", 
       RowBox[{
        RowBox[{
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{
           RowBox[{"-", "2"}], " ", "H"}]], " ", "r", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{
              RowBox[{"r", " ", 
               FractionBox[
                RowBox[{"\[PartialD]", "F"}], 
                RowBox[{"\[PartialD]", "r"}],
                MultilineFunction->None]}], "+", "1"}], ")"}], " ", 
            RowBox[{"(", 
             RowBox[{
              FractionBox[
               RowBox[{"\[PartialD]", "F"}], 
               RowBox[{"\[PartialD]", "r"}],
               MultilineFunction->None], "-", 
              FractionBox[
               RowBox[{"\[PartialD]", "H"}], 
               RowBox[{"\[PartialD]", "r"}],
               MultilineFunction->None]}], ")"}]}], "+", 
           RowBox[{"r", " ", 
            FractionBox[
             RowBox[{
              SuperscriptBox["\[PartialD]", "2"], "F"}], 
             RowBox[{"\[PartialD]", 
              SuperscriptBox["r", "2"]}],
             MultilineFunction->None]}]}], ")"}]}], "\[LongEqual]", 
        FractionBox[
         RowBox[{"8", " ", "\[Pi]", " ", "G", " ", "p", " ", 
          SuperscriptBox["r", "2"]}], 
         SuperscriptBox["c", "4"]]}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[3.5]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[2.]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}],
   Function[BoxForm`e$, 
    TableForm[BoxForm`e$, TableSpacing -> {5, 5}]]], 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.639759190599755*^9, 3.6397591999129715`*^9}, 
   3.639759292856943*^9, 3.6397596839831066`*^9, 3.6397607852810926`*^9, 
   3.6397608458014107`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CovariantMetricTensorToLineElement", "[", "covMetricTensor", 
  "]"}]], "Input",
 CellChangeTimes->{{3.639759241591649*^9, 3.6397592494736633`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"-", 
    SuperscriptBox["c", "2"]}], " ", 
   SuperscriptBox["dt", "2"], " ", 
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"2", " ", 
     RowBox[{"F", "[", "r", "]"}]}]]}], "+", 
  RowBox[{
   SuperscriptBox["dr", "2"], " ", 
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"2", " ", 
     RowBox[{"H", "[", "r", "]"}]}]]}], "+", 
  RowBox[{
   SuperscriptBox["d\[Theta]", "2"], " ", 
   SuperscriptBox["r", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["d\[CurlyPhi]", "2"], " ", 
   SuperscriptBox["r", "2"], " ", 
   SuperscriptBox[
    RowBox[{"Sin", "[", "\[Theta]", "]"}], "2"]}]}]], "Output",
 CellChangeTimes->{3.6397592499884644`*^9, 3.639759293137744*^9, 
  3.6397596842795067`*^9, 3.6397607855774937`*^9, 3.6397608458638115`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PrintLineElement", "[", "]"}]], "Input",
 CellChangeTimes->{{3.639759255656275*^9, 3.639759257637478*^9}}],

Cell[BoxData[
 FormBox[
  RowBox[{
   TemplateBox[{"\"ds\"","\"2\""},
    "Superscript"], "\[LongEqual]", 
   RowBox[{
    RowBox[{"-", 
     RowBox[{
      SuperscriptBox["c", "2"], " ", 
      SuperscriptBox["dt", "2"], " ", 
      SuperscriptBox["\[ExponentialE]", 
       RowBox[{"2", " ", "F"}]]}]}], "+", 
    RowBox[{
     SuperscriptBox["d\[Theta]", "2"], " ", 
     SuperscriptBox["r", "2"]}], "+", 
    RowBox[{
     SuperscriptBox["dr", "2"], " ", 
     SuperscriptBox["\[ExponentialE]", 
      RowBox[{"2", " ", "H"}]]}], "+", 
    RowBox[{
     SuperscriptBox["d\[CurlyPhi]", "2"], " ", 
     SuperscriptBox["r", "2"], " ", 
     RowBox[{
      SuperscriptBox["sin", "2"], "(", "\[Theta]", ")"}]}]}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{3.6397592578246784`*^9, 3.6397592931533437`*^9, 
  3.639759684295107*^9, 3.639760785608693*^9, 3.639760845879411*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"CovariantToMixed", "[", "covPerfectFluidStressEnergyTensor", 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"PrintExpression", "[", "]"}], "\[IndentingNewLine]", 
 RowBox[{"PrintMixedStressEnergyTensor", "[", "]"}]}], "Input",
 CellChangeTimes->{{3.6397593022751613`*^9, 3.639759358712271*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["c", "2"]}], " ", 
      RowBox[{"\[Rho]", "[", "r", "]"}]}], ",", "0", ",", "0", ",", "0"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", 
     RowBox[{"p", "[", "r", "]"}], ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"p", "[", "r", "]"}], ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", 
     RowBox[{"p", "[", "r", "]"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.6397593293666153`*^9, 3.6397593589150715`*^9}, 
   3.639759684310707*^9, 3.6397607856242933`*^9, 3.639760845910611*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["c", "2"]}], " ", "\[Rho]"}], "0", "0", "0"},
     {"0", "p", "0", "0"},
     {"0", "0", "p", "0"},
     {"0", "0", "0", "p"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.6397593293666153`*^9, 3.6397593589150715`*^9}, 
   3.639759684310707*^9, 3.6397607856242933`*^9, 3.639760845910611*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{
   TemplateBox[{SubscriptBox["\"T\"", "\"\[Mu]\""],"\"\[Nu]\""},
    "Superscript"], "\[LongEqual]", 
   TagBox[
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["c", "2"]}], " ", "\[Rho]"}], "0", "0", "0"},
       {"0", "p", "0", "0"},
       {"0", "0", "p", "0"},
       {"0", "0", "0", "p"}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
    Function[BoxForm`e$, 
     MatrixForm[BoxForm`e$]]]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.6397593293666153`*^9, 3.6397593589150715`*^9}, 
   3.639759684310707*^9, 3.6397607856242933`*^9, 3.639760845910611*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "ThetaTheta", " ", "and", " ", "PhiPhi", " ", "field", " ", "equations", 
    " ", "are", " ", "the", " ", "same", " ", "in", " ", "this", " ", 
    "case"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"PossibleSameEquationsQ", "[", 
   RowBox[{
    RowBox[{"covFieldEquations", "[", 
     RowBox[{"[", 
      RowBox[{"3", ",", "3"}], "]"}], "]"}], ",", 
    RowBox[{"covFieldEquations", "[", 
     RowBox[{"[", 
      RowBox[{"4", ",", "4"}], "]"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.6397593846181192`*^9, 3.6397594267699966`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.6397593971247416`*^9, 3.6397594289404*^9}, 
   3.639759684341907*^9, 3.6397607856554937`*^9, 3.6397608459262114`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "Use", " ", "print", " ", "expression", " ", "for", " ", "easy", " ", 
    "reading", " ", "output"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"covFieldEquations", "[", 
    RowBox[{"[", 
     RowBox[{"3", ",", "3"}], "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"PrintExpression", "[", 
    RowBox[{"covFieldEquations", "[", 
     RowBox[{"[", 
      RowBox[{"3", ",", "3"}], "]"}], "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.639759438986219*^9, 3.639759475896901*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{
     RowBox[{"-", "2"}], " ", 
     RowBox[{"H", "[", "r", "]"}]}]], " ", "r", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"r", " ", 
         RowBox[{
          SuperscriptBox["F", "\[Prime]",
           MultilineFunction->None], "[", "r", "]"}]}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{
         SuperscriptBox["F", "\[Prime]",
          MultilineFunction->None], "[", "r", "]"}], "-", 
        RowBox[{
         SuperscriptBox["H", "\[Prime]",
          MultilineFunction->None], "[", "r", "]"}]}], ")"}]}], "+", 
     RowBox[{"r", " ", 
      RowBox[{
       SuperscriptBox["F", "\[Prime]\[Prime]",
        MultilineFunction->None], "[", "r", "]"}]}]}], ")"}]}], "\[Equal]", 
  FractionBox[
   RowBox[{"8", " ", "G", " ", "\[Pi]", " ", 
    SuperscriptBox["r", "2"], " ", 
    RowBox[{"p", "[", "r", "]"}]}], 
   SuperscriptBox["c", "4"]]}]], "Output",
 CellChangeTimes->{{3.639759441630624*^9, 3.639759476630102*^9}, 
   3.639759684341907*^9, 3.6397607856554937`*^9, 3.639760845941811*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{
      RowBox[{"-", "2"}], " ", "H"}]], " ", "r", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"r", " ", 
          FractionBox[
           RowBox[{"\[PartialD]", "F"}], 
           RowBox[{"\[PartialD]", "r"}],
           MultilineFunction->None]}], "+", "1"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox[
          RowBox[{"\[PartialD]", "F"}], 
          RowBox[{"\[PartialD]", "r"}],
          MultilineFunction->None], "-", 
         FractionBox[
          RowBox[{"\[PartialD]", "H"}], 
          RowBox[{"\[PartialD]", "r"}],
          MultilineFunction->None]}], ")"}]}], "+", 
      RowBox[{"r", " ", 
       FractionBox[
        RowBox[{
         SuperscriptBox["\[PartialD]", "2"], "F"}], 
        RowBox[{"\[PartialD]", 
         SuperscriptBox["r", "2"]}],
        MultilineFunction->None]}]}], ")"}]}], "\[LongEqual]", 
   FractionBox[
    RowBox[{"8", " ", "\[Pi]", " ", "G", " ", "p", " ", 
     SuperscriptBox["r", "2"]}], 
    SuperscriptBox["c", "4"]]}], TraditionalForm]], "Output",
 CellChangeTimes->{{3.639759441630624*^9, 3.639759476630102*^9}, 
   3.639759684341907*^9, 3.6397607856554937`*^9, 3.6397608459574113`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "Then", " ", "you", " ", "can", " ", "just", " ", "go", " ", "on", " ", 
   "using", " ", "all", " ", "these", " ", "quantities"}], "*)"}]], "Input",
 CellChangeTimes->{{3.639759732209201*^9, 3.6397597456874266`*^9}, {
  3.6397601026781597`*^9, 3.6397601049262886`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"eq1", "=", 
  RowBox[{"Solve", "[", 
   RowBox[{
    RowBox[{"covFieldEquations", "[", 
     RowBox[{"[", 
      RowBox[{"2", ",", "2"}], "]"}], "]"}], ",", 
    RowBox[{"p", "[", "r", "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.639760107804453*^9, 3.63976016562176*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"p", "[", "r", "]"}], "\[Rule]", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{
       SuperscriptBox["c", "4"], " ", 
       SuperscriptBox["\[ExponentialE]", 
        RowBox[{
         RowBox[{"-", "2"}], " ", 
         RowBox[{"H", "[", "r", "]"}]}]], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         SuperscriptBox["\[ExponentialE]", 
          RowBox[{"2", " ", 
           RowBox[{"H", "[", "r", "]"}]}]], "-", 
         RowBox[{"2", " ", "r", " ", 
          RowBox[{
           SuperscriptBox["F", "\[Prime]",
            MultilineFunction->None], "[", "r", "]"}]}]}], ")"}]}], 
      RowBox[{"8", " ", "G", " ", "\[Pi]", " ", 
       SuperscriptBox["r", "2"]}]]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.63976013519302*^9, 3.6397601659527793`*^9}, 
   3.639760785671094*^9, 3.6397608459574113`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "S", " ", "is", " ", "the", " ", "simplification", " ", "function", " ", 
    "configured", " ", "in", " ", "the", " ", "beginning", " ", "of", " ", 
    "this", " ", "notebook", " ", "with", " ", "all", " ", "the", " ", 
    "assumptions", " ", "automatically", " ", "included"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"S", "[", 
     RowBox[{
      RowBox[{"covFieldEquations", "[", 
       RowBox[{"[", 
        RowBox[{"3", ",", "3"}], "]"}], "]"}], "/.", "eq1"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}], "\[IndentingNewLine]", 
   RowBox[{"PrintExpression", "[", "]"}]}]}]], "Input",
 CellChangeTimes->{{3.6397601535810714`*^9, 3.639760231446525*^9}, {
  3.639760269086665*^9, 3.6397602700547204`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox["\[ExponentialE]", 
    RowBox[{"2", " ", 
     RowBox[{"H", "[", "r", "]"}]}]], "+", 
   RowBox[{
    SuperscriptBox["r", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox[
       RowBox[{
        SuperscriptBox["F", "\[Prime]",
         MultilineFunction->None], "[", "r", "]"}], "2"], "+", 
      RowBox[{
       SuperscriptBox["F", "\[Prime]\[Prime]",
        MultilineFunction->None], "[", "r", "]"}]}], ")"}]}]}], "\[Equal]", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"r", " ", 
      RowBox[{
       SuperscriptBox["F", "\[Prime]",
        MultilineFunction->None], "[", "r", "]"}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"r", " ", 
      RowBox[{
       SuperscriptBox["H", "\[Prime]",
        MultilineFunction->None], "[", "r", "]"}]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.6397601696409903`*^9, 3.6397601804776096`*^9}, {
   3.639760259124095*^9, 3.6397602705427485`*^9}, 3.639760785811494*^9, 
   3.6397608460978117`*^9}],

Cell[BoxData[
 FormBox[
  RowBox[{
   RowBox[{
    RowBox[{
     SuperscriptBox["r", "2"], " ", 
     RowBox[{"(", 
      RowBox[{
       FractionBox[
        RowBox[{
         SuperscriptBox["\[PartialD]", "2"], "F"}], 
        RowBox[{"\[PartialD]", 
         SuperscriptBox["r", "2"]}],
        MultilineFunction->None], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         FractionBox[
          RowBox[{"\[PartialD]", "F"}], 
          RowBox[{"\[PartialD]", "r"}],
          MultilineFunction->None], ")"}], "2"]}], ")"}]}], "+", 
    SuperscriptBox["\[ExponentialE]", 
     RowBox[{"2", " ", "H"}]]}], "\[LongEqual]", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"r", " ", 
       FractionBox[
        RowBox[{"\[PartialD]", "F"}], 
        RowBox[{"\[PartialD]", "r"}],
        MultilineFunction->None]}], "+", "1"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"r", " ", 
       FractionBox[
        RowBox[{"\[PartialD]", "H"}], 
        RowBox[{"\[PartialD]", "r"}],
        MultilineFunction->None]}], "+", "1"}], ")"}]}]}], 
  TraditionalForm]], "Output",
 CellChangeTimes->{{3.6397601696409903`*^9, 3.6397601804776096`*^9}, {
   3.639760259124095*^9, 3.6397602705427485`*^9}, 3.639760785811494*^9, 
   3.639760846113412*^9}]
}, Open  ]]
},
NotebookEventActions->{Null, PassEventsDown -> True},
WindowSize->{1280, 952},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
PrintingCopies->1,
PrintingPageRange->{32000, 32000},
PrintingOptions->{"Magnification"->1.,
"PaperOrientation"->"Portrait",
"PaperSize"->{595.3199999999999, 841.92}},
Magnification->1.25,
FrontEndVersion->"10.1 for Microsoft Windows (64-bit) (March 23, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 609, 15, 60, "Input"],
Cell[1170, 37, 403, 11, 36, "Input"],
Cell[1576, 50, 1393, 32, 83, "Input"],
Cell[2972, 84, 664, 15, 60, "Input"],
Cell[3639, 101, 1305, 24, 83, "Input"],
Cell[4947, 127, 1683, 33, 129, "Input"],
Cell[6633, 162, 1071, 23, 129, "Input"],
Cell[7707, 187, 1514, 32, 129, "Input"],
Cell[9224, 221, 428, 12, 60, "Input"],
Cell[9655, 235, 14585, 202, 60, "Input"],
Cell[24243, 439, 15468, 221, 140, "Input"],
Cell[39714, 662, 14124, 192, 60, "Input"],
Cell[53841, 856, 690, 17, 60, "Input"],
Cell[54534, 875, 476, 11, 36, "Input"],
Cell[CellGroupData[{
Cell[55035, 890, 241, 3, 60, "Input"],
Cell[55279, 895, 944, 27, 41, "Output"],
Cell[56226, 924, 1369, 37, 113, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[57632, 966, 241, 3, 60, "Input"],
Cell[57876, 971, 1008, 29, 60, "Output"],
Cell[58887, 1002, 1504, 41, 135, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[60428, 1048, 210, 2, 60, "Input"],
Cell[60641, 1052, 486, 13, 38, "Output"],
Cell[61130, 1067, 682, 19, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61849, 1091, 222, 2, 60, "Input"],
Cell[62074, 1095, 1131, 33, 41, "Output"],
Cell[63208, 1130, 1439, 39, 113, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[64684, 1174, 268, 3, 60, "Input"],
Cell[64955, 1179, 1182, 34, 41, "Output"],
Cell[66140, 1215, 1365, 37, 113, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[67542, 1257, 222, 3, 60, "Input"],
Cell[67767, 1262, 764, 21, 41, "Output"],
Cell[68534, 1285, 1114, 29, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[69685, 1319, 495, 10, 83, "Input"],
Cell[70183, 1331, 3270, 95, 156, "Output"],
Cell[73456, 1428, 6992, 182, 278, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[80485, 1615, 259, 4, 60, "Input"],
Cell[80747, 1621, 15599, 475, 521, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[96383, 2101, 189, 2, 60, "Input"],
Cell[96575, 2105, 3380, 97, 96, "Output"],
Cell[99958, 2204, 4437, 126, 262, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[104432, 2335, 188, 2, 60, "Input"],
Cell[104623, 2339, 3490, 102, 109, "Output"],
Cell[108116, 2443, 4582, 129, 289, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[112735, 2577, 190, 2, 60, "Input"],
Cell[112928, 2581, 4640, 129, 208, "Output"],
Cell[117571, 2712, 3716, 100, 197, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[121324, 2817, 172, 3, 36, "Input"],
Cell[121499, 2822, 793, 23, 38, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[122329, 2850, 130, 2, 36, "Input"],
Cell[122462, 2854, 884, 26, 39, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[123383, 2885, 315, 5, 83, "Input"],
Cell[123701, 2892, 723, 20, 41, "Output"],
Cell[124427, 2914, 855, 23, 101, "Output"],
Cell[125285, 2939, 1073, 28, 101, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[126395, 2972, 603, 15, 60, "Input"],
Cell[127001, 2989, 171, 2, 36, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[127209, 2996, 551, 14, 83, "Input"],
Cell[127763, 3012, 1177, 34, 60, "Output"],
Cell[128943, 3048, 1333, 39, 66, "Output"]
}, Open  ]],
Cell[130291, 3090, 313, 6, 36, "Input"],
Cell[CellGroupData[{
Cell[130629, 3100, 301, 8, 36, "Input"],
Cell[130933, 3110, 930, 26, 62, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[131900, 3141, 804, 19, 106, "Input"],
Cell[132707, 3162, 1064, 32, 41, "Output"],
Cell[133774, 3196, 1274, 40, 66, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
